<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
     version="1.0" 
     xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:s="http://sokop/podnesci"  
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output 
     method="html"  
	 doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	
	<xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
				<title>Djelimično povlačenje prijedloga za izvršenje</title>
			</head>
			<body>
			  <xsl:if test="name(/*) = 'DjelomicnaPovlacenja'">
				<xsl:for-each select="s:DjelomicnaPovlacenja/s:DjelomicnoPovlacenje">
					<xsl:call-template name="DjelomicnoPovlacenje_Template"/>
					<hr class="end"/>
			    </xsl:for-each>
			  </xsl:if>
			  <xsl:if test="name(/*) = 'DjelomicnoPovlacenje'">
				<xsl:for-each select="s:DjelomicnoPovlacenje">
					<xsl:call-template name="DjelomicnoPovlacenje_Template"/>
			    </xsl:for-each>
			  </xsl:if>
			</body>
    </html>
	</xsl:template>
	
	<xsl:template name="DjelomicnoPovlacenje_Template">
    
	<xsl:if test="s:Potpis">
      <div>
          Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
          DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
          Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
      </div>
	</xsl:if>
	<xsl:if test="s:DatumPrijema">
      <div class="pecat">
			Primljeno u sud: <xsl:value-of select="s:DatumPrijema"/>
      </div>
    </xsl:if>
	<br/>
    <div>
      <table class="border_none" width="90%" cellpadding="0">
        <tr>
          <td width="15%">
           <strong>JKP/JP</strong> 
          </td>
          <td width="75%">
            <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
          </td>
        </tr>
        <tr>
          <td>
           <strong>Broj predmeta</strong> 
          </td>
          <td>
            <xsl:value-of select="s:BrojPredmeta"/>
          </td>
        </tr>
        <tr>
          <td>
           <strong>Mjesto i datum</strong> 
          </td>
          <td>
            <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,
            <xsl:value-of select="s:DatumPodneska"/>
          </td>
        </tr>
      </table>
    </div>
    <div>
    <table class="border_none" width="95%" cellpadding="0">
       <tr>
         <td colspan="2">
           <h3>
             <strong><xsl:value-of select="s:Sud"/></strong>
           </h3>
         </td>
       </tr>
       <tr>
         <td width="15%">
           <strong>TRAŽILAC IZVRŠENJA:</strong>
         </td>
         <td width="80%">
           <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>;&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Ulica"/>&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:BrojUlice"/>,&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>;&#xa0;
		   zastupnik&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>,&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
         </td>
       </tr>
       <xsl:if test="name(s:Izvrsenik/*) = 'FizickoLice'">
		   <tr>
			 <td>
			   <strong>IZVRŠENIK:</strong>
			 </td>
			 <td>
				<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Ime"/>&#xa0;
				<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Prezime"/>&#xa0;
				(<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja"/>)
			 </td>
		   </tr>
		   <tr>
			 <td>
			   &#xa0;
			 </td>
			 <td>
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:BrojUlice"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opis"/>,&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Mjesto"/>,&#xa0;
			   opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opstina"/>;&#xa0;
			   šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Sifra"/>
			 </td>
		   </tr>
	   </xsl:if>
	   <xsl:if test="name(s:Izvrsenik/*) = 'PravnoLice'">
		   <tr>
			 <td>
			   <strong>IZVRŠENIK:</strong>
			 </td>
			 <td>
				<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Naziv"/>
			 </td>
		   </tr>
		   <tr>
			 <td>
			   &#xa0;
			 </td>
			 <td>
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:BrojUlice"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opis"/>,&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Mjesto"/>,&#xa0;
			   opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opstina"/>;&#xa0;
			   šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Sifra"/>
			 </td>
		   </tr>
	   </xsl:if>
       <tr>
         <td colspan="2">
           <strong>RADI: NAPLATE NOVČANOG POTRAŽIVANJA</strong>
         </td>
       </tr>
       <tr>
         <td colspan="2">
           <strong>
           V.S:&#xa0;&#xa0;&#xa0;&#xa0;
           <xsl:value-of select="s:VrijednostSpora"/>&#xa0;&#xa0;KM
           </strong>
         </td>
       </tr>
    </table>
    </div>
	<div>
    <table class="border_none" width="95%" cellpadding="0">
      <tr>
        <td>
          <h3>
            <strong>DJELIMIČNO POVLAČENJE PRIJEDLOGA ZA IZVRŠENJE</strong>
          </h3>
          <p>
            Tražilac izvršenja nakon djelimičnog izmirenja obaveze od strane izvršenika kako slijedi: 
		  </p>
		  <p>                      
			<xsl:for-each select="s:Izmirenja/*">
			na dan <xsl:value-of select="s:Datum"/> uplatio je iznos od <xsl:value-of select="s:Iznos"/> KM 
			po osnovu 
			  <xsl:choose>
				<xsl:when test="name(.) = 'IzmirenjePoOsnovuRacuna'">
				  <xsl:choose>
				  <xsl:when test="s:BrojRacuna='Dug'">
				  duga
				  </xsl:when>
				  <xsl:otherwise>
					računa broj: <xsl:value-of select="s:BrojRacuna"/>
				  </xsl:otherwise>
				  </xsl:choose>
					<br/>
				</xsl:when>
				<xsl:when test="name(.) = 'IzmirenjePoOsnovuTakseITroskova'">
					takse i troškova
					<br/>
				</xsl:when>
				<xsl:when test="name(.) = 'IzmirenjePoOsnovuKamate'">
					kamate
					<br/>
				</xsl:when>
				<xsl:otherwise>
					&#xa0;
				</xsl:otherwise>
			  </xsl:choose>
			</xsl:for-each>
		  </p>
		  <p>
            povlači prijedlog za izvršenje za uplaćeni iznos.
          </p>
          <p>
            Tražilac izvršenja ostaje kod Prijedloga za izvršenje radi namirenja:
          </p>
          <p>
            <xsl:for-each select="s:Dugovanja/s:Dugovanje">
				iznosa od <xsl:value-of select="s:Iznos"/> KM po osnovu 
				<xsl:choose>
				  <xsl:when test="s:BrojRacuna='Dug'">
				  duga
				  </xsl:when>
				  <xsl:otherwise>
					računa broj: <xsl:value-of select="s:BrojRacuna"/> sa datumom dospjeća <xsl:value-of select="s:DatumDospjeca"/>
				  </xsl:otherwise>
				  </xsl:choose>
				<br/>
			</xsl:for-each>
 			<xsl:variable name="dug">
 				<xsl:for-each select="s:Dugovanja/s:Dugovanje">
					<xsl:choose>
				  		<xsl:when test="s:BrojRacuna='Dug'">
				  			duga
				  		</xsl:when>
				  		<xsl:otherwise>
							računa
				 		 </xsl:otherwise>
				  		</xsl:choose>
					</xsl:for-each>
			</xsl:variable>
			<xsl:if test="s:TaksaITroskovi">
			iznosa od <xsl:value-of select="s:TaksaITroskovi"/> KM po osnovu takse i troškova<br/>
			</xsl:if>
           
			<xsl:choose>
				<xsl:when test="s:Kamata='OdDospjecaRacuna'">
					zakonske zatezne kamate počev od dana dospijeća <xsl:value-of select="$dug"/>
					pa do isplate.
				</xsl:when>
				<xsl:when test="s:Kamata='OdPodnosenjaPrijedloga'">
					zakonske zatezne kamatom počev od dana podnošenja prijedloga za izvršenje pa do konačnog namirenja
				</xsl:when>
				<xsl:when test="s:Kamata='BezKamate'">
				</xsl:when>
				<xsl:otherwise>
					&#xa0;
				</xsl:otherwise>
		  </xsl:choose>
          </p>

        </td>
      </tr>
    </table>
    </div>
    <div>
    <table class="border_none" width="90%" cellpadding="0">
	   <tr>
		 <td>
		   <p class="signature">
			 Za tražioca izvršenja
			 <br/>
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>
			 <br/>
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
		   </p>
		 </td>
	   </tr>
	</table>
    </div>
    <xsl:if test="s:PrilogNaziv">Prilog:<br/><br/>- <xsl:value-of select="s:PrilogNaziv"/><br/></xsl:if>
	</xsl:template>
	
</xsl:stylesheet>
