<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns="http://www.w3.org/1999/xhtml"
xmlns:sokop="http://sokop/tuzbe"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
    <xsl:output method="html"
	        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
    
	<xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>
	
    <xsl:template match="/">
		
        <html>
            <head>
                <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
                <title>Dostava tužbe na obavezni odgovor</title>
            </head>
            <body>
                <xsl:if test="name(/*) = 'Tuzbe'">
                    <xsl:for-each select="sokop:Tuzbe/sokop:Tuzba">
                        <xsl:call-template name="DostavaTuzbeNaObavezniDogovor_Template"/>
                        <hr class="end"/>
                    </xsl:for-each>
                </xsl:if>
                <xsl:if test="name(/*) = 'Tuzba'">
                    <xsl:for-each select="sokop:Tuzba">
                        <xsl:call-template name="DostavaTuzbeNaObavezniDogovor_Template"/>
                    </xsl:for-each>
                </xsl:if>
            </body>
        </html>
    </xsl:template>

    <xsl:template name="DostavaTuzbeNaObavezniDogovor_Template">
		<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'" />
		<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'" /><!--ove varijablese  koriste umjesto upper-case u xsl 1.0. za xsl 2.0 postoji funkcija upper-case-->
        <xsl:variable name="vrijednostSpora"
        select='format-number(sokop:VrijednostSpora, "###.###0,00", "nas")'/>		
        <div id="page" align="center">
            <div id = "header" align="left">
                <ul>
                    <li>
                    BOSNA I HERCEGOVINA
                    </li>
                    <br/>
					<li>
					$entitetIliKanton
                    </li>
                    <br/>
					<li>
					$sud
					</li>
					<br/>
					<li>
                    Broj: $brojPredmeta
					</li>
                    <br/>
                    <li>
                    $datum godine
                    </li>
                </ul>
            </div>
            <div id = "title" align="left">
                  
                <h3>Dostava tužbe na odgovor
                </h3>
                <br/>
                <ul>
                    <li>
                        <strong>TUŽITELJ:</strong>
                    </li>$tuzilac<br/>
                    <li>
                        <strong>TUŽENI:</strong>&#xa0;
                    </li>$tuzeni
                    <br/>
                    <li>
                        <strong>ADRESA:</strong>
                    </li>$adresaTuzenog
                    <br/>
                    <li>
                        <strong>RADI:</strong>
                    </li>Naplate novčanog potraživanja
                    <br/>
                    <li>
                        <strong>VRIJEDNOST SPORA</strong>
                    </li><strong>$vrijednostSpora KM
                    </strong>
                    
                </ul>
            </div>
            <div id="content">
				<br/>
                <p>
                    Na osnovu člana $prviClan. Zakona o parničnom postupku 
					<xsl:choose>
					<xsl:when test="sokop:Sud/sokop:Entitet = 'FEDERACIJA BOSNE I HERCEGOVINE'">
						("Službene novine FBiH" br. 53/03, 73/05 i 19/06),
					</xsl:when>
					<xsl:when test="sokop:Sud/sokop:Entitet = 'REPUBLIKA SRPSKA'">
						("Službeni glasnik Republike Srpske" broj 58/03, 85/03, 74/05, 63/07 i 49/09),
					</xsl:when>
					</xsl:choose> dostavljamo Vam tužbu tužioca
                    podnesenu protiv Vas kao tuženog  i zaprimljenu 
                    kod ovog suda dana $datumPrijema godine.
                </p>
                <p>
                    Napominjemo da ste dužni, najkasnije u roku od 30 dana od 
                    dana prijema ove tužbe, dostaviti ovom sudu pismeni odgovor na istu.
                </p>
                <p>
                    Odgovor na tužbu u pogledu odredaba zakona o parničnom postupku mora 
                    biti razumljiv i sadržavati: oznaku suda, ime i prezime, odnosno naziv 
                    pravne osobe, prebivalište ili boravište, odnosno sjedište stranaka, 
                    njihovih zakonskih zastupnika i punomoćnika ako ih imaju, predmet spora,
                    sadržaj izjave i potpis podnosioca (čl. $drugiClan Zakona o parničnom postupku).
                </p>
                <p>
                    U odgovoru na tužbu, tuženi može istaknuti procesne prigovore i izjasniti 
                    se da li priznaje ili osporava postavljeni tužbeni zahtjev (čl. $treciClan Zakona o parničnom postupku).
                </p>
                <p>
                    Ukoliko u tužbi tuženi osporava tužbeni zahtjev tužitelja, odgovor na tužbu mora
                    sadržavati i razloge zbog kojih se tužbeni zahtjev osporava, činjenice na kojima
                    tuženi zasniva svoje navode, dokaze kojima se utvrđuju te činjenice	<xsl:if test="sokop:Sud/sokop:Entitet='FEDERACIJA BOSNE I HERCEGOVINE'">, te pravni osnov
                    za navode tuženog</xsl:if> (čl. 71. st. 2 Zakona o parničnom postupku). Tuženi može, u odgovoru na tužbu, a najkasnije na
					pripremnom ročištu, podnijeti i protivtužbu (u skladu sa čl. 74. st. 1 Zakona o parničnom postupku).
                </p>
                <p>
                    Ukoliko tuženi, kojem je uredno dostavljena tužba, u kojoj je tužilac tražio
                    donošenje presude zbog propuštanja, ne dostavi pismeni odgovor na tužbu u
                    ostavljenom zakonskom roku sud će donijeti presudu kojom se usvaja tužbeni
                    zahtjev tužitelja (presuda zbog propuštanja), osim ukoliko je tužbeni zahtjev
                    očigledno neosnovan (čl. 182. st. 1 Zakona o parničnom postupku).
                </p>
                <p>
                    Odgovor na tužbu sa prilozima predaje se Sudu u dovoljnom broju primjeraka
					za Sud i protivnu stranku sa pozivom na gornji broj $brojPredmeta.
                </p>
            </div>
            <div id = "footer">
                <p class="signature">
                    <strong>SUDIJA</strong>
                    <br/>$sudija
                </p>
            </div>
        </div>
        <div style="position:absolute; top:10px; right:20px;">
			PRISTUPNI KOD: <br/>
            $pristupniKod
        </div>
    </xsl:template>
</xsl:stylesheet>
