<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet 
    version="1.0"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:sokop="http://sokop/tuzbe"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:output
        method="html"
        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
        doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

	<xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>

	<xsl:template match="/">
		
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
               
				<title>Izvadak iz poslovne knjige</title>
				<link rel="stylesheet" type="text/css" href="/xsl/document.css" />
			</head>
			<body>
				<xsl:if test="name(/*) = 'Tuzbe'">
					<xsl:for-each select="sokop:Tuzbe/sokop:Tuzba">
						<xsl:call-template name="IzvadakIzPoslovneKnjige_Template"/>
						<hr class="end"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="name(/*) = 'Tuzba'">
					<xsl:for-each select="sokop:Tuzba">
						<xsl:call-template name="IzvadakIzPoslovneKnjige_Template"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="IzvadakIzPoslovneKnjige_Template">
		
		<div id="page">
			<div id = "header" align="left">
				<xsl:if test= "sokop:Potpis">
					<ul>
						<li>
                Digitalni potpis JKP:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:Potpisnik"/>
						<br/>
						<li>
                DN:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:DN"/>
						<br/>
						<li>
                Datum:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:VrijemePotpisa"/>
					</ul>
				</xsl:if>
				<br/>
				<strong>JKP/JP</strong>&#xa0;
				<xsl:value-of select="sokop:Tuzilac/sokop:Naziv"/>
				<br/>
				<strong>Adresa</strong>&#xa0;
				<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:Mjesto"/>,&#xa0;
				<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:Ulica"/>&#xa0;
				<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:BrojUlice"/>
				<br/>
				<strong>PIB</strong>&#xa0;
				<xsl:value-of select="sokop:Tuzilac/sokop:PIB"/>
               <!-- <xsl:value-of select="sokop:Tuzilac/sokop:PIB"/><br/>-->

                <!--<xsl:value-of select="sokop:Komentar"/>-->
                
			</div>
            
			<div id = "title" align="left">
				<h2>Izvadak iz poslovne knjige</h2>
				<div id = "subtitle">
					<ul>
						<li>
							<strong>Za period:</strong>&#xa0;
						</li>
						<xsl:value-of select="sokop:IzvadakIzPoslovneKnjige/sokop:PeriodOd"/>-
						<xsl:value-of select="sokop:IzvadakIzPoslovneKnjige/sokop:PeriodDo"/>
						<br/>
						<li>
							<strong>Datum formiranja:</strong>&#xa0;
						</li>
						<xsl:value-of select="sokop:IzvadakIzPoslovneKnjige/sokop:DatumIzvoda"/>
						<br/>
						<li>
							<strong>Broj prijedloga:</strong>&#xa0;
						</li>
						<xsl:value-of select="sokop:BrojTuzbe"/>
					</ul>
				</div>
				<div id="subtitle" style="border: 1px solid black;width:500px">
                    <!--
                    <hr style="width: 40%;position: absolute;fixed: 0px;  display: block;"/>
                    <br/>
                    -->
					<xsl:if test="sokop:Tuzeni/sokop:SifraTipaLica = 'F'">
						<ul>
							<li>
								<strong>Dužnik:</strong>&#xa0;
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Ime"/>&#xa0;
							<xsl:choose>
								<xsl:when test="sokop:Tuzeni/sokop:ImeRoditelja">
									<xsl:if test="not(sokop:Tuzeni/sokop:ImeRoditelja='')">
									(
										<xsl:value-of select="sokop:Tuzeni/sokop:ImeRoditelja"/>
									)&#xa0;
									</xsl:if>
								</xsl:when>
							</xsl:choose>
							<xsl:value-of select="sokop:Tuzeni/sokop:Prezime"/>
                            
							<br/>
							<li>
								<strong>Šifra dužnika:</strong>&#xa0;
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Sifra"/>
							<br/>
							<li>
								<strong>PIB/JMB:</strong>&#xa0;
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:JMBG"/>
							<br/>
							<li>
								<strong>Adresa:</strong>&#xa0;
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Ulica"/>&#xa0;
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:BrojUlice"/>&#xa0;
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Opis"/>
							<br/>
							<li>
								<strong>Mjesto:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Mjesto"/>
							<br/>
							<xsl:if test="sokop:Tuzeni/sokop:AdresaUsluge">
								<li>
									<strong>Adresa usluge:</strong>
								</li>
								<br/>
							</xsl:if>
							<li>
								<strong>Tel. broj:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:TelefonskiBroj"/>
						</ul>
					</xsl:if>
					<xsl:if test="sokop:Tuzeni/sokop:SifraTipaLica = 'P'">
						<ul>
							<li>
								<strong>Dužnik:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Naziv"/>
							<br/>
							<li>
								<strong>Šifra dužnika:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Sifra"/>
							<br/>
							<li>
								<strong>PIB/JMB:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:PIB"/>
							<br/>
							<li>
								<strong>Adresa:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Ulica"/>&#xa0;
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:BrojUlice"/>&#xa0;
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Opis"/>
							<br/>
							<li>
								<strong>Mjesto:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Mjesto"/>
							<br/>
							<xsl:if test="sokop:Tuzeni/sokop:AdresaUsluge">
								<li>
									<strong>Adresa usluge:</strong>
								</li>
								<xsl:value-of select="sokop:Tuzeni/sokop:AdresaUsluge"/>
								<br/>
							</xsl:if>
							<li>
								<strong>Tel. broj:</strong>
							</li>
							<xsl:value-of select="sokop:Tuzeni/sokop:TelefonskiBroj"/>
							<br/>
						</ul>
					</xsl:if>
                   <!--<hr style="width: 40%;position: absolute;fixed: 0px;  display: block;"/>-->
				</div>
			</div>
			<div id = "content" align="left">
				<table class="border_all" cellpadding="2">
					<tr>
						<th class="border_all" width="5%">
							<strong>RBr</strong>
						</th>
						<th class="border_all" width="15%">
							<strong>Račun</strong>
						</th>
						<th class="border_all" width="31%">
							<strong>Opis</strong>
						</th>
						<th class="border_all" width="12%">
							<strong>Datum računa</strong>
						</th>
						<th class="border_all" width="12%">
							<strong>Datum dospjeća/
								<br/>Datum uplate
							</strong>
						</th>
						<th class="border_all" width="10%">
							<strong>Duguje</strong>
						</th>
						<th class="border_all" width="10%">
							<strong>Potražuje</strong>
						</th>
					</tr>
					<xsl:for-each select="sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/*">

						<tr>
							<td class = "border_all" style="text-align:center">
								<xsl:value-of select="position()"/>.
							</td>
							<td class="border_all">
                                <!--racun-->
								<xsl:if test="name()='DospijecePoOsnovuRacuna' or name()='UplataPoOsnovuRacuna'">
									<xsl:value-of select="sokop:BrojRacuna"/>
								</xsl:if>
							</td>
                        
							<td class="border_all">
                                <!--opis-->
								<xsl:if test="name()='DospijecePoOsnovuRacuna'">
									<xsl:value-of select="sokop:Period"/>
								</xsl:if>
								<xsl:if test="name()='UplataPoOsnovuKamata'">
									Uplata po osnovu kamata
								</xsl:if>
								<xsl:if test="name()='UplataPoOsnovuRacuna'">
									Uplata po osnovu računa
								</xsl:if>
							</td>
							<td class="border_all">
                                <!--datum racuna-->
								<xsl:if test="name() = 'DospijecePoOsnovuRacuna'">
									<xsl:value-of select="sokop:DatumRacuna"/>
								</xsl:if>

							</td>
                        
							<td class="border_all">
                                <!--datum dospjeca/uplate-->
								<xsl:if test="name() = 'DospijecePoOsnovuRacuna'">
									<xsl:value-of select="sokop:DatumDospjeca"/>
								</xsl:if>
								<xsl:if test="name()= 'UplataPoOsnovuRacuna' or name()='UplataPoOsnovuKamata'">
									<xsl:value-of select="sokop:DatumUplate"/>
								</xsl:if>
							</td>
							<td class="border_all" align="right">
                                <!--duguje-->
								<xsl:choose>
									<xsl:when test="sokop:Duguje">
										<xsl:value-of select='format-number(sokop:Duguje,  "###.###0,00", "nas")'/>
									</xsl:when>
									<xsl:otherwise>
                                    &#xa0;
									</xsl:otherwise>
								</xsl:choose>
							</td>
							<td class="border_all" align="right">
								<xsl:choose>
									<xsl:when test="sokop:Potrazuje">
										<xsl:value-of select='format-number(sokop:Potrazuje,  "###.###0,00", "nas")'/>
									</xsl:when>
									<xsl:otherwise>
                                    &#xa0;
									</xsl:otherwise>
								</xsl:choose>
							</td>
						</tr>
					</xsl:for-each>
					<xsl:variable name="ukupnoDuguje" select='format-number(
                                sum(sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/sokop:DospijecePoOsnovuRacuna/sokop:Duguje),
                                "###.###0,00", "nas")'/>
					<xsl:variable name="ukupnoPotrazuje" select='
                                format-number(sum(
                                sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/sokop:UplataPoOsnovuRacuna/sokop:Potrazuje)+
                                sum(sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/sokop:UplataPoOsnovuKamata/sokop:Potrazuje),
                                "###.###0,00", "nas")'/>
					<tr>
						<td class="border_all" colspan="5" align="right">
							<strong>Ukupno (KM):</strong>
						</td>
						<td class="border_all" align="right">
							<strong>
								<xsl:value-of select='$ukupnoDuguje'/>
							</strong>
						</td>
						<td class="border_all" align="right">
							<strong>
								<xsl:value-of select='$ukupnoPotrazuje' />
							</strong>
						</td>
					</tr>
					<tr>
						<td class="border_all" colspan="5" align="right">
							<strong>Dug (KM):</strong>
						</td>
						<td class="border_all" colspan="2" align="right">
							<strong>
								<xsl:variable name="dug" select='format-number(
                                sum(sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/sokop:DospijecePoOsnovuRacuna/sokop:Duguje)
                                -
                               sum(sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/sokop:UplataPoOsnovuRacuna/sokop:Potrazuje)
                                -
                                  sum(sokop:IzvadakIzPoslovneKnjige/sokop:Stavke/sokop:UplataPoOsnovuKamata/sokop:Potrazuje)
                               , "###.###0,00", "nas") '/>
								<xsl:value-of select="$dug" />
							</strong>
						</td>
					</tr>
				</table>
			</div>
			<div id = "footer">
				<p>
                Ovaj dokument je izrađen na računaru, digitalno potpisan, i validan je bez potpisa i pečata.
				</p>
			</div>
		</div>
	</xsl:template>
	
</xsl:stylesheet>
