<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
    version="1.0"
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:s="http://sokop/prijedlozi"
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:output
        method="html"
        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
        doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

    <xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>

    <xsl:template match="/">
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
                <title>Izvadak iz poslovne knjige</title>
            </head>
            <body>
                <xsl:if test="name(/*) = 'Prijedlozi'">
                    <xsl:for-each select="s:Prijedlozi/s:Prijedlog">
                        <xsl:call-template name="IzvadakIzPoslovneKnjige_Template"/>
                        <hr class="end"/>
                    </xsl:for-each>
                </xsl:if>
                <xsl:if test="name(/*) = 'Prijedlog'">
                    <xsl:for-each select="s:Prijedlog">
                        <xsl:call-template name="IzvadakIzPoslovneKnjige_Template"/>
                    </xsl:for-each>
                </xsl:if>
            </body>
        </html>
    </xsl:template>
	
    <xsl:template name="IzvadakIzPoslovneKnjige_Template">
	
        <xsl:if test="s:Potpis">
            <div>
                Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
                DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
                Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
            </div>
        </xsl:if>
    
        <br/>
        <div>
            <table class="border_none" width="90%" cellpadding="0">
                <tr>
                    <td width="15%">
                        <strong>JKP/JP</strong>
                    </td>
                    <td width="75%">
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <strong>Adresa</strong>
                    </td>
                    <td>
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Ulica"/>&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:BrojUlice"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <strong>PIB</strong>
                    </td>
                    <td>
                        <xsl:value-of select="s:TraziocIzvrsenja/s:PIB"/>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <xsl:value-of select="s:Komentar"/>
                    </td>
                </tr>
            </table>
        </div>
        <hr/>
        <div>
            <h2>Izvadak iz poslovne knjige</h2>
        </div>
        <div>
            <table class="border_none" width="90%" cellpadding="0">
                <tr>
                    <td width="15%">
                        <strong>Za period:</strong>
                    </td>
                    <td width="75%">
                        <xsl:value-of select="s:Dugovanja/s:PeriodOd"/>-
                        <xsl:value-of select="s:Dugovanja/s:PeriodDo"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <strong>Datum formiranja:</strong>
                    </td>
                    <td>
                        <xsl:value-of select="s:Dugovanja/s:DatumIzvoda"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <strong>Broj prijedloga:</strong>
                    </td>
                    <td>
                        <xsl:value-of select="s:BrojPrijedloga"/>
                    </td>
                </tr>
            </table>
        </div>
        <div>
          <xsl:variable name="IZVRSENICIlength" select="count(s:Izvrsenici/s:Izvrsenik)"/>
       	
       		<xsl:for-each select="s:Izvrsenici/s:Izvrsenik">
      		<xsl:if test="name(*) = 'FizickoLice'">
                <table class="border_box" width="60%" cellpadding="0">
                    <tr>
                        <td class="border_none" width="15%">
                            <strong>Dužnik:</strong>
                        </td>
                        <td class="border_none" width="45%">
                            <xsl:value-of select="s:FizickoLice/s:Ime"/>&#xa0;
                            <xsl:value-of select="s:FizickoLice/s:Prezime"/>&#xa0;
                            (<xsl:value-of select="s:FizickoLice/s:ImeRoditelja"/>)
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Šifra dužnika:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="@sifra"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>PIB/JMB:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:FizickoLice/s:JMBG"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Adresa:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
                            <xsl:value-of select="s:FizickoLice/s:Adresa/s:BrojUlice"/>,&#xa0;
                            <xsl:value-of select="s:FizickoLice/s:Adresa/s:Opis"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Mjesto:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:FizickoLice/s:Adresa/s:Mjesto"/>
                        </td>
                    </tr>
                    <xsl:if test="s:FizickoLice/s:AdresaUsluge">
                        <tr>
                            <td class="border_none" >
                                <strong>Adresa usluge:</strong>
                            </td>
                            <td class="border_none" >
                                <xsl:value-of select="s:FizickoLice/s:AdresaUsluge"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <tr>
                        <td class="border_none" >
                            <strong>Tel. broj:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:FizickoLice/s:TelefonskiBroj"/>
                        </td>
                    </tr>
                </table>
            </xsl:if>
            
            
             <xsl:if test="name(*) = 'PravnoLice'">
                <table class="border_box" width="60%" cellpadding="0">
                    <tr>
                        <td class="border_none" width="15%">
                            <strong>Dužnik:</strong>
                        </td>
                        <td class="border_none" width="45%">
                            <xsl:value-of select="s:PravnoLice/s:Naziv"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Šifra dužnika:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="@sifra"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>PIB/JMB:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:PravnoLice/s:PIB"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Adresa:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
                            <xsl:value-of select="s:PravnoLice/s:Adresa/s:BrojUlice"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Mjesto:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:PravnoLice/s:Adresa/s:Mjesto"/>
                        </td>
                    </tr>
                    <xsl:if test="s:PravnoLice/s:AdresaUsluge">
                        <tr>
                            <td class="border_none" >
                                <strong>Adresa usluge:</strong>
                            </td>
                            <td class="border_none" >
                                <xsl:value-of select="s:PravnoLice/s:AdresaUsluge"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <tr>
                        <td class="border_none" >
                            <strong>Tel. broj:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:PravnoLice/s:TelefonskiBroj"/>
                        </td>
                    </tr>
                </table>
            </xsl:if>
        </xsl:for-each>
            <xsl:if test="name(s:Izvrsenik/*) = 'FizickoLice'">
                <table class="border_box" width="60%" cellpadding="0">
                    <tr>
                        <td class="border_none" width="15%">
                            <strong>Dužnik:</strong>
                        </td>
                        <td class="border_none" width="45%">
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Ime"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Prezime"/>&#xa0;
                            (<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja"/>)
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Šifra dužnika:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/@sifra"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>PIB/JMB:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:JMBG"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Adresa:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:BrojUlice"/>,&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opis"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Mjesto:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Mjesto"/>
                        </td>
                    </tr>
                    <xsl:if test="s:Izvrsenik/s:FizickoLice/s:AdresaUsluge">
                        <tr>
                            <td class="border_none" >
                                <strong>Adresa usluge:</strong>
                            </td>
                            <td class="border_none" >
                                <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:AdresaUsluge"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <tr>
                        <td class="border_none" >
                            <strong>Tel. broj:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:TelefonskiBroj"/>
                        </td>
                    </tr>
                </table>
            </xsl:if>
            <xsl:if test="name(s:Izvrsenik/*) = 'PravnoLice'">
                <table class="border_box" width="60%" cellpadding="0">
                    <tr>
                        <td class="border_none" width="15%">
                            <strong>Dužnik:</strong>
                        </td>
                        <td class="border_none" width="45%">
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Naziv"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Šifra dužnika:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/@sifra"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>PIB/JMB:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:PIB"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Adresa:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:BrojUlice"/>
                        </td>
                    </tr>
                    <tr>
                        <td class="border_none" >
                            <strong>Mjesto:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Mjesto"/>
                        </td>
                    </tr>
                    <xsl:if test="s:Izvrsenik/s:PravnoLice/s:AdresaUsluge">
                        <tr>
                            <td class="border_none" >
                                <strong>Adresa usluge:</strong>
                            </td>
                            <td class="border_none" >
                                <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:AdresaUsluge"/>
                            </td>
                        </tr>
                    </xsl:if>
                    <tr>
                        <td class="border_none" >
                            <strong>Tel. broj:</strong>
                        </td>
                        <td class="border_none" >
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:TelefonskiBroj"/>
                        </td>
                    </tr>
                </table>
            </xsl:if>
        </div>
        <br/>
        <div>
            <table class="border_all" width="95%" cellpadding="0">
                <tr>
                    <th class="border_all" width="5%">
                        <strong>RBr</strong>
                    </th>
                    <th class="border_all" width="15%">
                        <strong>Račun</strong>
                    </th>
                    <th class="border_all" width="31%">
                        <strong>Period</strong>
                    </th>
                    <th class="border_all" width="12%">
                        <strong>Datum računa</strong>
                    </th>
                    <th class="border_all" width="12%">
                        <strong>Datum dospjeća/<br/>Datum uplate</strong>
                    </th>
                    <th class="border_all" width="10%">
                        <strong>Duguje</strong>
                    </th>
                    <th class="border_all" width="10%">
                        <strong>Potražuje</strong>
                    </th>
                </tr>
                <xsl:for-each select="s:Dugovanja/s:Stanje/*">
                    <tr>
                        <td class="border_all">
                            <xsl:value-of select="s:RedniBroj"/>.
                        </td>
                        <td class="border_all">
                            <xsl:value-of select="s:BrojRacuna"/>
                        </td>
                        <td class="border_all">
                            <xsl:if test="name()='Racun'">
                                <xsl:value-of select="s:Period"/>
                            </xsl:if>
                        </td>
                        <td class="border_all">
                            <xsl:choose>
                                <xsl:when test="s:DatumRacuna">
                                    <xsl:value-of select="s:DatumRacuna"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    &#xa0;
                                </xsl:otherwise>
                            </xsl:choose>
                        </td>
                        <td class="border_all">
                            <xsl:choose>
                                <xsl:when test="s:DatumDospjeca">
                                    <xsl:value-of select="s:DatumDospjeca"/>
                                </xsl:when>
                                <xsl:when test="s:DatumUplate">
                                    <xsl:value-of select="s:DatumUplate"/>
                                </xsl:when>
                                <xsl:otherwise>
                                    &#xa0;
                                </xsl:otherwise>
                            </xsl:choose>
                        </td>
                        <td class="border_all" align="right">
                            <xsl:choose>
                                <xsl:when test="s:Duguje">
                                    <xsl:value-of select='format-number(s:Duguje,  "###.###,00", "nas")'/>
                                </xsl:when>
                                <xsl:otherwise>
                                    &#xa0;
                                </xsl:otherwise>
                            </xsl:choose>
                        </td>
                        <td class="border_all" align="right">
                            <xsl:choose>
                                <xsl:when test="s:Potrazuje">
                                    <xsl:value-of select='format-number(s:Potrazuje,  "###.###,00", "nas")'/>
                                </xsl:when>
                                <xsl:otherwise>
                                    &#xa0;
                                </xsl:otherwise>
                            </xsl:choose>
                        </td>
                    </tr>
                </xsl:for-each>
                <tr>
                    <td class="border_all" colspan="5" align="right">
                        <strong>Ukupno (KM):</strong>
                    </td>
                    <td class="border_all" align="right">
                        <strong>
                            <xsl:value-of select='format-number(sum(s:Dugovanja/s:Stanje/s:Racun/s:Duguje), "###.###,00", "nas")'/>
                        </strong>
                    </td>
                    <td class="border_all" align="right">
                        <strong>
                            <xsl:value-of select='format-number(sum(s:Dugovanja/s:Stanje/s:Uplata/s:Potrazuje), "###.###,00", "nas")' />
                        </strong>
                    </td>
                </tr>
                <tr>
                    <td class="border_all" colspan="5" align="right">
                        <strong>Dug (KM):</strong>
                    </td>
                    <td class="border_all" colspan="2" align="right">
                        <strong>
                            <xsl:value-of select='format-number(sum(s:Dugovanja/s:Stanje/s:Racun/s:Duguje)-sum(s:Dugovanja/s:Stanje/s:Uplata/s:Potrazuje), "###.###,00", "nas")' />
                        </strong>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <p>
                Ovaj dokument je izrađen na računaru, digitalno potpisan, i validan je bez potpisa i pečata.
            </p>
        </div>
    </xsl:template>
	
</xsl:stylesheet>
