<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
     version="1.0" 
     xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:s="http://sokop/podnesci"  
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output 
     method="html"  
	 doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	
	<xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
				<title>Uređenje žalbe</title>
			</head>
			<body>
			  <xsl:if test="name(/*) = 'ZalbeNaRjesenja'">
				<xsl:for-each select="s:ZalbeNaRjesenja/s:ZalbaNaRjesenje">
					<xsl:call-template name="ZalbaNaRjesenje_Template"/>
					<hr class="end"/>
			    </xsl:for-each>
			  </xsl:if>
			  <xsl:if test="name(/*) = 'ZalbaNaRjesenje'">
				<xsl:for-each select="s:ZalbaNaRjesenje">
					<xsl:call-template name="ZalbaNaRjesenje_Template"/>
			    </xsl:for-each>
			  </xsl:if>
			  <xsl:if test="name(/*) = 'PrigovorNaRjesenje'">
				<xsl:for-each select="s:PrigovorNaRjesenje">
					<xsl:call-template name="ZalbaNaRjesenje_Template"/>
			    </xsl:for-each>
			  </xsl:if>
			   <xsl:if test="name(/*) = 'PrigovoriNaRjesenja'">
				<xsl:for-each select="s:PrigovoriNaRjesenja/s:PrigovorNaRjesenje">
					<xsl:call-template name="ZalbaNaRjesenje_Template"/>
			    </xsl:for-each>
			  </xsl:if>
			</body>
    </html>
	</xsl:template>
	
	<xsl:template name="ZalbaNaRjesenje_Template">
    
	<xsl:if test="s:Potpis">
      <div>
          Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
          DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
          Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
      </div>
	</xsl:if>
	<xsl:if test="s:DatumPrijema">
      <div class="pecat">
			Primljeno u sud: <xsl:value-of select="s:DatumPrijema"/>
      </div>
    </xsl:if>
	<br/>
    <div>
      <table class="border_none" width="90%" cellpadding="0">
        <tr>
          <td width="15%">
           <strong>JKP/JP</strong> 
          </td>
          <td width="75%">
            <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
          </td>
        </tr>
        <tr>
          <td>
           <strong>Broj predmeta</strong> 
          </td>
          <td>
            <xsl:value-of select="s:BrojPredmeta"/>
          </td>
        </tr>
        <tr>
          <td>
           <strong>Mjesto i datum</strong> 
          </td>
          <td>
            <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,
            <xsl:value-of select="s:DatumPodneska"/>
          </td>
        </tr>
      </table>
    </div>
    <div>
    <table class="border_none" width="95%" cellpadding="0">
       <tr>
         <td colspan="2">
           <h3>
             <strong><xsl:value-of select="s:Sud"/></strong>
           </h3>
         </td>
       </tr>
       <tr>
         <td width="15%">
           <strong>TUŽILAC:</strong>
         </td>
         <td width="80%">
           <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>;&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Ulica"/>&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:BrojUlice"/>,&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>;&#xa0;
		   zastupnik&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>,&#xa0;
		   <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
         </td>
       </tr>
       <xsl:if test="name(s:Izvrsenik/*) = 'FizickoLice'">
		   <tr>
			 <td>
			   <strong>TUŽENI:</strong>
			 </td>
			 <td>
				<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Ime"/>&#xa0;
				<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Prezime"/>&#xa0;
				(<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja"/>)
			 </td>
		   </tr>
		   <tr>
			 <td>
			   &#xa0;
			 </td>
			 <td>
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:BrojUlice"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opis"/>,&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Mjesto"/>,&#xa0;
			   opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opstina"/>;&#xa0;
			   šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Sifra"/>
			 </td>
		   </tr>
	   </xsl:if>
	   <xsl:if test="name(s:Izvrsenik/*) = 'PravnoLice'">
		   <tr>
			 <td>
			   <strong>TUŽENI:</strong>
			 </td>
			 <td>
				<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Naziv"/>
			 </td>
		   </tr>
		   <tr>
			 <td>
			   &#xa0;
			 </td>
			 <td>
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:BrojUlice"/>&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opis"/>,&#xa0;
			   <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Mjesto"/>,&#xa0;
			   opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opstina"/>;&#xa0;
			   šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Sifra"/>
			 </td>
		   </tr>
	   </xsl:if>
       <tr>
         <td colspan="2">
           <strong>RADI: NAPLATE NOVCANOG POTRAŽIVANJA</strong>
         </td>
       </tr>
       <tr>
         <td colspan="2">
           <strong>
           V.S:&#xa0;&#xa0;&#xa0;&#xa0;
           <xsl:value-of select="s:VrijednostSpora"/>&#xa0;&#xa0;KM
           </strong>
         </td>
       </tr>
    </table>
    </div>
	<div>
    <table class="border_none" width="95%" cellpadding="0">
      <tr>
        <td>
          <h3>
            <strong>IZJAŠNJENJE TUŽIOCA NA OBJAŠNJENJE O NAVODIMA ŽALBE</strong>
          </h3>
           <p>
			Sud je dana <xsl:value-of select="s:DatumRjesenja"/> godine, tužocu dostavio dopis kojim se zahtijeva izjašnjenje na objašnjenje sudije o navodima žalbe. Postupajući po nalogu suda, dostavlja se sljedeće izjašnjenje:
		  </p>
		 
          <p>
            <xsl:value-of select="s:Obrazlozenje"/>
		  </p>
        </td>
      </tr>
    </table>
    </div>
    <div>
    <table class="border_none" width="90%" cellpadding="0">
	   <tr>
		 <td>
		   <p class="signature">
			 Za tužioca
			 <br/>
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>
			 <br/>
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
		   </p>
		 </td>
	   </tr>
	</table>
    </div>
	</xsl:template>
	
</xsl:stylesheet>
