<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
     version="1.0" 
     xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:s="http://sokop/podnesci"  
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output 
     method="html"  
	 doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	
	<xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
				<title>Potvrda prijema sudskog pismena</title>
			</head>
			<body>
			  <xsl:if test="name(/*) = 'PotvrdePrijema'">
				<xsl:for-each select="s:PotvrdePrijema/s:PotvrdaPrijema">
					<xsl:call-template name="PotvrdaPrijema_Template"/>
					<hr class="end"/>
			    </xsl:for-each>
			  </xsl:if>
			  <xsl:if test="name(/*) = 'PotvrdaPrijema'">
				<xsl:for-each select="s:PotvrdaPrijema">
					<xsl:call-template name="PotvrdaPrijema_Template"/>
			    </xsl:for-each>
			  </xsl:if>
			</body>
    </html>
	</xsl:template>
	
	<xsl:template name="PotvrdaPrijema_Template">
    	<xsl:variable name="faza">
		<xsl:value-of select='substring(s:BrojPredmeta,9)'/>
	</xsl:variable>
	<xsl:if test="s:Potpis">
      <div>
          Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
          DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
          Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
      </div>
	</xsl:if>
	<xsl:if test="s:DatumPrijema">
      <div class="pecat">
			Primljeno u sud: <xsl:value-of select="s:DatumPrijema"/>
      </div>
    </xsl:if>
	<br/>
    <div>
      <table class="border_none" width="90%" cellpadding="0">
        <tr>
          <td width="15%">
           <strong>JKP/JP</strong> 
          </td>
          <td width="75%">
            <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
          </td>
        </tr>
        <tr>
          <td>
           <strong>Mjesto i datum</strong> 
          </td>
          <td>
            <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,
            <xsl:value-of select="s:DatumPodneska"/>
          </td>
        </tr>
      </table>
    </div>
    <br/>
	<div>
    <table class="border_none" width="95%" cellpadding="0">
      <tr>
        <td>
          <h3>
            <strong>POTVRDA O PRIJEMU SUDSKOG PISMENA</strong>
          </h3>
          <p>
            Ovim putem potvrđujemo da smo primili sudsko pismeno 
			<xsl:value-of select="s:NazivPismena"/> od 
			<xsl:value-of select="s:DatumPismena"/> u predmetu broj 
			<xsl:value-of select="s:BrojPredmeta"/> dana 
			<xsl:value-of select="s:DatumPrijemaPismena"/>
		  </p>
        </td>
      </tr>
    </table>
    </div>
    <div>
    <table class="border_none" width="90%" cellpadding="0">
	   <tr>
		 <td>
		   <p class="signature">
			 Za <xsl:if test="(contains($faza, 'Mal'))">tužioca</xsl:if><xsl:if test="not(contains($faza, 'Mal'))">tražioca izvršenja</xsl:if>
			 <br/>
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>
			 <br/>
			 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
		   </p>
		 </td>
	   </tr>
	</table>
    </div>
	</xsl:template>
	
</xsl:stylesheet>
