<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
     version="1.0" 
     xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:s="http://sokop/podnesci"  
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
    <xsl:output
     method="html"  
	 doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	
    <xsl:template match="/">
        <html>
            <head>
                <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
                <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
                <title>Promjena sredstva / predmeta izvršenja</title>
            </head>
            <body>
                <xsl:if test="name(/*) = 'PromjeneSredstava'">
                    <xsl:for-each select="s:PromjeneSredstava/s:PromjenaSredstva">
                        <xsl:call-template name="PromjenaSredstva_Template"/>
                        <hr class="end"/>
                    </xsl:for-each>
                </xsl:if>
                <xsl:if test="name(/*) = 'PromjenaSredstva'">
                    <xsl:for-each select="s:PromjenaSredstva">
                        <xsl:call-template name="PromjenaSredstva_Template"/>
                    </xsl:for-each>
                </xsl:if>
            </body>
        </html>
    </xsl:template>
	
    <xsl:template name="PromjenaSredstva_Template">
    
        <xsl:if test="s:Potpis">
            <div>
                Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
                DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
                Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
            </div>
        </xsl:if>
        <xsl:if test="s:DatumPrijema">
            <div class="pecat">
                Primljeno u sud: <xsl:value-of select="s:DatumPrijema"/>
            </div>
        </xsl:if>
        <br/>
        <div>
            <table class="border_none" width="90%" cellpadding="0">
                <tr>
                    <td width="15%">
                        <strong>JKP/JP</strong>
                    </td>
                    <td width="75%">
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <strong>Broj predmeta</strong>
                    </td>
                    <td>
                        <xsl:value-of select="s:BrojPredmeta"/>
                    </td>
                </tr>
                <tr>
                    <td>
                        <strong>Mjesto i datum</strong>
                    </td>
                    <td>
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,
                        <xsl:value-of select="s:DatumPodneska"/>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <table class="border_none" width="95%" cellpadding="0">
                <tr>
                    <td colspan="2">
                        <h3>
                            <strong><xsl:value-of select="s:Sud"/></strong>
                        </h3>
                    </td>
                </tr>
                <tr>
                    <td width="15%">
                        <strong>TRAŽILAC IZVRŠENJA:</strong>
                    </td>
                    <td width="80%">
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>;&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Ulica"/>&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:BrojUlice"/>,&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>;&#xa0;
                        zastupnik&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>,&#xa0;
                        <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
                    </td>
                </tr>
                <xsl:if test="name(s:Izvrsenik/*) = 'FizickoLice'">
                    <tr>
                        <td>
                            <strong>IZVRŠENIK:</strong>
                        </td>
                        <td>
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Ime"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Prezime"/>&#xa0;
                            (<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja"/>)
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &#xa0;
                        </td>
                        <td>
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:BrojUlice"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opis"/>,&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Mjesto"/>,&#xa0;
                            opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opstina"/>;&#xa0;
                            šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Sifra"/>
                        </td>
                    </tr>
                </xsl:if>
                <xsl:if test="name(s:Izvrsenik/*) = 'PravnoLice'">
                    <tr>
                        <td>
                            <strong>IZVRŠENIK:</strong>
                        </td>
                        <td>
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Naziv"/>
                        </td>
                    </tr>
                    <tr>
                        <td>
                            &#xa0;
                        </td>
                        <td>
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:BrojUlice"/>&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opis"/>,&#xa0;
                            <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Mjesto"/>,&#xa0;
                            opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opstina"/>;&#xa0;
                            šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Sifra"/>
                        </td>
                    </tr>
                </xsl:if>
                <tr>
                    <td colspan="2">
                        <strong>RADI: NAPLATE NOVCANOG POTRAŽIVANJA</strong>
                    </td>
                </tr>
                <tr>
                    <td colspan="2">
                        <strong>
                            V.S:&#xa0;&#xa0;&#xa0;&#xa0;
                            <xsl:value-of select="s:VrijednostSpora"/>&#xa0;&#xa0;KM
                        </strong>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <table class="border_none" width="95%" cellpadding="0">
                <tr>
                    <td>
                        <h3>
                            <strong>PREDLOŽENO SREDSTVO / PREDMET IZVRŠENJA</strong>
                        </h3>
                        <p>
                            U skladu sa Zakonom o izvršnom postupku, naš prijedlog je da se izvršenje provodi
                        </p>
                        
                        <xsl:choose>
                            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'PokretnaImovina'">
                                <div>
                                    <p>
                                        pljenidbom, popisom, procjenom i prodajom pokretnih stvari izvršenika -
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:PokretnaImovina/s:Opis"/>,
                                        sve do namirenja tražioca izvršenja.
                                        Izvršeniku se zabranjuje opterećenje, otuđenje, zalaganje, oštećenja i
                                        uništenja popisanih stvari pod prijetnjom zakonske odgovornosti. Zapljenjene stvari izvršenika će biti čuvane kod
                                        <xsl:choose>
                                            <xsl:when test="s:SredstvoIzvrsenja/s:PokretnaImovina/s:ImovinaKod = 'Izvrsenik'">
                                                izvršenika
                                            </xsl:when>
                                            <xsl:when test="s:SredstvoIzvrsenja/s:PokretnaImovina/s:ImovinaKod = 'TraziocIzvrsenja'">
                                                tražioca
                                            </xsl:when>
                                            <xsl:otherwise>
                                                &#xa0;
                                            </xsl:otherwise>
                                        </xsl:choose>
                                        na adresi
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:PokretnaImovina/s:Adresa"/>.
                                    </p>
                                </div>
                            </xsl:when>
                            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NepokretnaImovina'">
                                <div>
                                    <p>
                                        zabilježbom izvršenja u zemljišnjoj knjizi te utvrđivanjem vrijednosti nepokretnosti,
                                        prodajom i namirenjem tražioca izvršenja iz iznosa dobijenog prodajom nepokretnosti upisane u Z.K. broj
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NepokretnaImovina/s:ZemljisnaKnjigaBroj"/>
                                        Sud
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NepokretnaImovina/s:NazivSuda"/>.
                                    </p>
                                </div>
                            </xsl:when>
                            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeBanka'">
                                <div>
                                    <p>
                                        zapljenom novčanog potraživanja na računu izvršenika
                                        <xsl:for-each select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeBanka/s:BankovniRacuniIzvrsenika/s:BankovniRacun">
                                            kod banke
                                            <xsl:value-of select="s:Banka/s:Naziv"/>
                                            broj
                                            <xsl:value-of select="s:BrojRacuna"/>,
                                        </xsl:for-each>
                                        te namirivanjem tražioca izvršenja prenosom radi naplate novčanog potraživanja izvršenika nakon pravosnažnosti rješenja na broj računa tražioca izvršenja
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeBanka/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/>
                                        kod banke
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeBanka/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/>.
                                    </p>
                                </div>
                            </xsl:when>
                            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjePoslodavac'">
                                <div>
                                    <p>
                                        zapljenom iznosa, ograničenom u skladu sa članom 138. ZIP-a, (jedne polovine za dio potraživanja koji ne prelazi 1000 KM
                                        mjesečno, te dvije trećine na eventualni dio koji prelazi 1000 KM mjesečno), novčanog potraživanja –
                                        <xsl:choose>
                                            <xsl:when test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:Tip/@sifra = 'PLT'">
                                                plate
                                            </xsl:when>
                                            <xsl:when test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:Tip/@sifra = 'PNZ'">
                                                penzije
                                            </xsl:when>
                                            <xsl:when test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:Tip/@sifra = 'NKN'">
                                                naknade i slično
                                            </xsl:when>
                                            <xsl:otherwise>
                                                &#xa0;
                                            </xsl:otherwise>
                                        </xsl:choose>
                                        koje izvršenik
										<xsl:if test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:MaticniBroj != ''">
											(<xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:MaticniBroj"/>)
										</xsl:if>
										ostvaruje kod
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:NazivPoslodavca"/>
                                        adresa:
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Ulica"/>&#xa0;
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:BrojUlice"/>&#xa0;
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Opis"/>,&#xa0;
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Mjesto"/>,&#xa0;
                                        opština&#xa0;<xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Opstina"/>;&#xa0;
                                        i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/>
                                        broj
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/>
                                        sve do namirenja tražioca izvršenja.
                        </p>
                                </div>
                            </xsl:when>
                            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeSud'">
                                <div>
                                    <p>
                                        zapljenom, u skladu sa članom 138. ZIP-a, novčanog potraživanja – plate, naknade i slično – koje izvršenik ostvaruje kod
                                        poslodavca do kojeg će sud moći doći elektronskim putem na osnovu JMB izvršenika
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:JMBIzvrsenika"/>,
                                        i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke
                                        <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/>
                                        broj <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/>
                                        sve do namirenja tražioca izvršenja. Zabranjuje se da poslodavac ovaj iznos isplati izvršeniku prije isplate potraživanja
                                        utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
                                    </p>
                                </div>
                            </xsl:when>
                            <xsl:otherwise>
                                <p>
                                </p>
                            </xsl:otherwise>
                        </xsl:choose>
                    </td>
                </tr>
            </table>
        </div>
        <div>
            <table class="border_none" width="90%" cellpadding="0">
                <tr>
                    <td>
                        <p class="signature">
                            Za tražioca izvršenja
                            <br/>
                            <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
                            <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>
                            <br/>
                            <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
                        </p>
                    </td>
                </tr>
            </table>
        </div>
    </xsl:template>
	
</xsl:stylesheet>
