<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns="http://www.w3.org/1999/xhtml"
xmlns:sokop="http://sokop/prijedloziZaNastavakPoOsnovuPresude"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"
	        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>

	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="/xsl/document.css" /><!--/xsl/document.css-->
				<title>PrijedlogZaNastavakPoOsnovuPresude</title>
			</head>
			<body>
				<xsl:if test="name(/*) = 'PrijedloziZaNastavakPoOsnovuPresude'">
					<xsl:for-each select="sokop:PrijedloziZaNastavakPoOsnovuPresude/sokop:PrijedlogZaNastavakPoOsnovuPresude">
						<xsl:call-template name="PrijedlogZaNastavakPoOsnovuPresude_Template"/>
						<hr class="end"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="name(/*) = 'PrijedlogZaNastavakPoOsnovuPresude'">
					<xsl:for-each select="sokop:PrijedlogZaNastavakPoOsnovuPresude">
						<xsl:call-template name="PrijedlogZaNastavakPoOsnovuPresude_Template"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="PrijedlogZaNastavakPoOsnovuPresude_Template">
		<xsl:variable name="vrijednostSpora"
		 select='format-number(sokop:VrijednostSpora, "###.###0,00", "nas")'/>
		<xsl:variable name = "trosakTrazioca"
			select = 'format-number(sum(sokop:TroskoviTrazioca/sokop:TrosakTrazioca/sokop:Iznos), "###.###0,00", "nas")'/>
		<xsl:variable name = "glavniDug" select='format-number(sum(sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuRacuna/sokop:Duguje)+
			sum(sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:Duguje) -
			sum(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuRacuna/sokop:Potrazuje) -
			sum(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuTaksiITroskovaPoPresudi/sokop:Potrazuje), "###.###0,00", "nas")'/>
		<div id="page" align="center">
			<div id = "header" align="left">
				<xsl:if test= "sokop:Potpis">
					<ul>
						<li>
                Digitalni potpis JKP:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:Potpisnik"/>
						<br/>
						<li>
                DN:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:DN"/>
						<br/>
						<li>
                Datum:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:VrijemePotpisa"/>
					</ul>
				</xsl:if>
				<br/>
				<ul>
					<xsl:if test="sokop:DatumPrijema">
					     
						<div class="pecat">
                                Primljeno u sud: 
							<xsl:value-of select="sokop:DatumPrijema"/>
						</div>
             
					</xsl:if>
					<li>
                Broj prijedloga:&#xa0;
					</li>
					<xsl:value-of select="sokop:BrojPrijedloga"/>
					<br/>
					<li>
                Mjesto i datum:&#xa0;
					</li>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:Mjesto"/>,&#xa0;
					<xsl:value-of select="sokop:DatumPrijedloga"/>
				</ul>
			</div>
			<div id = "title" align="left">
                  
				<h3>
					<xsl:value-of select="sokop:IzvrsniSud/sokop:Naziv"/>
				</h3>
				<br/>
				<ul>
					<li>
						<strong>TRAŽILAC IZVRŠENJA:</strong>&#xa0;
					</li>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Naziv"/>,&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:Ulica"/>&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:Mjesto"/>
					<br/>
					<li>
						<strong>IZVRŠENIK:</strong>&#xa0;
					</li>
					<xsl:if test="sokop:Izvrsenik/sokop:SifraTipaLica = 'F'">
						<xsl:value-of select="sokop:Izvrsenik/sokop:Ime"/>&#xa0;
						<xsl:choose>
							<xsl:when test="sokop:Izvrsenik/sokop:ImeRoditelja">
								<xsl:if test="not(sokop:Izvrsenik/sokop:ImeRoditelja = '')">
									(
									<xsl:value-of select="sokop:Izvrsenik/sokop:ImeRoditelja"/>
									)&#xa0;
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:value-of select="sokop:Izvrsenik/sokop:Prezime"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Ulica"/>&#xa0;BR.
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					</xsl:if>
					<xsl:if test="sokop:Izvrsenik/sokop:SifraTipaLica = 'P'">
						<xsl:value-of select="sokop:Izvrsenik/sokop:Naziv"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Ulica"/>&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					</xsl:if>
					<br/>
					<li>
						<strong>RADI:</strong>&#xa0;
					</li>NAPLATE NOVČANOG POTRAŽIVANJA
					<br/>
					<li>
						<strong>VRIJEDNOST SPORA:</strong>
					</li><strong><xsl:value-of select='$glavniDug'/>&#xa0;KM</strong>
					</ul>
			</div>
			<div id="content">
				<h3>PRIJEDLOG ZA NASTAVAK IZVRŠNOG POSTUPKA NAKON OKONČANJA PARNICE</h3>
				<br/>
				<p>Tražilac izvršenja na osnovu člana 50. stav 5. Zakona o izvršnom postupku podnosi prijedlog za nastavak izvršnog 
				postupka koji je odgođen Rješenjem ovog suda <xsl:value-of select="sokop:IzvrsniSud/sokop:Naziv"/> broj <xsl:value-of select="sokop:BrojRjesenja"/>  
				od <xsl:value-of select="sokop:DatumRjesenja"/></p>
				<p>Na osnovu pravosnažne i izvršne presude izvršenik je obavezan platiti tražiocu
				izvršenja iznos glavnog duga od
					<xsl:value-of select='$glavniDug'/> KM
					
				<!--dospjeca po racunu-->
				<xsl:if test= "sokop:TipKamate != 'BezKamate'">
				 sa pripadajućim zakonskim zateznim kamatama kao što slijedi:
				 <br/> <br/>
					<div align="left">
						<xsl:for-each select="sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuRacuna">
							&#xa0;•&#xa0;&#xa0;&#xa0;na iznos
							<xsl:value-of select='format-number(sokop:Duguje, "###.###0,00", "nas")'/> KM
							počev od dana 
							<xsl:value-of select="sokop:DatumDospijeca"/>
							<br/>
						</xsl:for-each>
					</div>
				</xsl:if>
				<xsl:choose>
					 <xsl:when test = "sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:Duguje >= 0">
						 <p>do dana isplate kao i da nadoknadi troškove postupka u iznosu od
							<xsl:value-of select = 'format-number(sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:Duguje, "###.###0,00", "nas")'/> KM.
						 </p>
					</xsl:when>
					 <xsl:when test = "sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:Duguje = ''">
						 <p>do dana isplate.
						 </p>
					</xsl:when>
					<xsl:otherwise>
					 <p>
						 do dana isplate.
					 </p>
					</xsl:otherwise>
				</xsl:choose>
				</p>				
				
				<p>
					DOKAZ: pravosnažna i izvršna presuda
					<xsl:value-of select="sokop:ParnicniSud/sokop:Naziv"/> broj
					<xsl:value-of select="sokop:BrojPresude"/> od
					<xsl:value-of select="sokop:DatumPresude"/>
				</p>
				<p>Presuda je postala pravosnažna sa danom <xsl:value-of select="sokop:DatumPravosnaznostiPresude"/> godine, 
				a obzirom da u zakonom propisanom roku izvršenik
			    <xsl:if test="count(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuRacuna)>0">
                             je samo djelimično ispunio svoju obavezu kao što slijedi<br/> <br/>
                             <div align="left">
							<xsl:for-each select="sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuRacuna">
								Dana
								<xsl:value-of select="sokop:DatumUplate"/>
								izvršenik je uplatio iznos od								
								<xsl:value-of select='format-number(sokop:Potrazuje, "###.###0", "nas")'/> KM
								
								<br/>
							</xsl:for-each>
						</div>
				</xsl:if>
				<xsl:if test="count(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuRacuna)=0">nije ispunio svoju obavezu,
				</xsl:if>
				</p><p> tražitelj izvršenja stoga predlaže da sud nastavi odgođeni izvršni postupak radi naplate novčanog potraživanja u iznosu 
				od <xsl:value-of select='$glavniDug'/>&#xa0;KM
				<xsl:if test="count(sokop:IzvadakIzPoslovneKnjige/*)>0">
					 sa pripadajućim zakonskim zateznim kamatama, kao što slijedi:
					<br/> <br/>
						<div align ="left"> 
						<!--dospjeca po osnovu racuna-->	
						<xsl:for-each select="sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuRacuna">
							<xsl:variable name ="dospjece_brojRacuna" select="sokop:BrojRacuna"/>
							<xsl:variable name ="potrazuje" select="sum(../sokop:UplataPoOsnovuRacuna[sokop:BrojRacuna=$dospjece_brojRacuna]/sokop:Potrazuje)"/>
								&#xa0;•&#xa0;&#xa0;&#xa0;na iznos
								<xsl:value-of select='format-number(number(sokop:Duguje) - $potrazuje, "###.###0,00", "nas")'/> KM
								počev od dana 
								<xsl:value-of select="sokop:DatumDospijeca"/>
							<br/>
						</xsl:for-each>

						<!--dospjeca po osnovu taksi i troskova-->
						<xsl:if test="sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi">
								&#xa0;•&#xa0;&#xa0;&#xa0;na iznos
								<xsl:value-of select='format-number(number(sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:Duguje)-
											sum(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuTaksiITroskovaPoPresudi/sokop:Potrazuje), "###.###0,00", "nas")'/> KM
								počev od dana <!--oduzete su uplate po t.i.t.-->
								<xsl:value-of select="sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:DatumDospijeca"/>
							<br/>
						</xsl:if>

						<!--uplate po racunu i po osnovu T.I.T.-->
						<xsl:for-each select="sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuRacuna">
							<xsl:variable name ="uplata_brojRacuna" select="sokop:BrojRacuna"/>
							<xsl:variable name ="dospijece_datumUplate"
								select="../sokop:DospijecePoOsnovuRacuna[sokop:BrojRacuna=$uplata_brojRacuna]/sokop:DatumDospijeca"/>
								&#xa0;•&#xa0;&#xa0;&#xa0;na iznos
								<xsl:value-of select='format-number(sokop:Potrazuje, "###.###0,00", "nas")'/> KM
								počev od dana 
								<xsl:value-of select="$dospijece_datumUplate"/>
								pa od dana <xsl:value-of
									select="sokop:DatumUplate"/>
							<br/>
						</xsl:for-each>
						<xsl:for-each select="sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuTaksiITroskovaPoPresudi">
							<xsl:variable name ="uplata_brojRacuna" select="sokop:BrojRacuna"/>
								&#xa0;•&#xa0;&#xa0;&#xa0;na iznos
								<xsl:value-of select='format-number(sokop:Potrazuje, "###.###0,00", "nas")'/> KM
								počev od dana 
								<xsl:value-of select="../sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:DatumDospijeca"/>
								pa od dana <xsl:value-of select="sokop:DatumUplate"/>
							<br/>
						</xsl:for-each>

						<p>do dana isplate,
						<xsl:if test="count(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuKamata)>0">
							umanjen za iznos već uplaćenih kamata od
							<xsl:value-of select="format-number(sum(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuKamata/sokop:Potrazuje), '###.###0,00', 'nas')"/> KM
						</xsl:if> 
						kao i troškove ovog izvršnog postupka prema odluci suda,</p>
						</div>
					</xsl:if><xsl:if test="count(sokop:IzvadakIzPoslovneKnjige/*)=0">kao i troškove ovog izvršnog postupka prema odluci suda,</xsl:if>
						<xsl:choose>
						 <xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'PokretnaImovina'">
							<div>
								<p>
              pa da nastavlja izvršenje pljenidbenim popisom, procjenom i prodajom pokretnih stvari izvršenika 
              <xsl:if test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Opis">
              	<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Opis"/>
              </xsl:if>
			  <xsl:if test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">
              	na adresi <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa"/>
              </xsl:if>,
              sve do namirenja tražioca izvršenja.
			  Izvršeniku se zabranjuje opterećenje, otuđenje, zalaganje, oštećenja i
			  uništenja popisanih stvari pod prijetnjom zakonske odgovornosti. Zapljenjene stvari izvršenika će biti čuvane kod
									<xsl:choose>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:ImovinaKod = 'Izvrsenik'">
											<xsl:choose>
												<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">
													izvršenika
												</xsl:when>
												<xsl:otherwise>
													izvršenika.
												</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:ImovinaKod = 'TraziocIzvrsenja'">
										<xsl:choose>
											<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">
												tražioca
											</xsl:when>
											<xsl:otherwise>
												tražioca.
											</xsl:otherwise>
										</xsl:choose>
										</xsl:when>
										
									</xsl:choose>
								  <xsl:if test = "sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">na adresi
									<xsl:value-of select="concat(sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa,'.')"/>
								  </xsl:if>							  
							    </p>
							</div>
						</xsl:when>
						<xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeBanka'">
							<div>
								<p>
			  pa da nastavlja izvršenje zapljenom novčanog potraživanja na računu izvršenika
									<xsl:for-each select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeBanka/sokop:BankovniRacuniIzvrsenika/sokop:BankovniRacun">
				kod banke
										<xsl:value-of select="sokop:Banka/sokop:Naziv"/>
				broj
										<xsl:value-of select="sokop:BrojRacuna"/>,
									</xsl:for-each>
              te namirivanjem tražioca izvršenja prenosom radi naplate novčanog potraživanja izvršenika nakon pravosnažnosti rješenja na broj računa tražioca izvršenja
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeBanka/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/>
			  kod banke
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeBanka/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/>.
								</p>
							</div>
						</xsl:when>
						<xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjePoslodavac'">
							<div>
								<p>
                 pa da nastavlja izvršenje zapljenom iznosa, ograničenom u skladu sa članom 138. ZIP-a, (jedne polovine za dio potraživanja koji ne prelazi 1000 KM
				  mjesečno, te dvije trećine na eventualni dio koji prelazi 1000 KM mjesečno), novčanog potraživanja –
									<xsl:choose>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:Tip/@sifra = 'PLT'">
						plate
										</xsl:when>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:Tip/@sifra = 'PNZ'">
						penzije
										</xsl:when>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:Tip/@sifra = 'NKN'">
						naknade i slično
										</xsl:when>
										
									</xsl:choose>
                  koje izvršenik ostvaruje kod
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:NazivPoslodavca"/>
                  adresa:
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:AdresaPoslodavca/sokop:Ulica"/>&#xa0;
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:AdresaPoslodavca/sokop:BrojUlice"/>&#xa0;
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:AdresaPoslodavca/sokop:Opis"/>,&#xa0;
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:AdresaPoslodavca/sokop:Mjesto"/>,&#xa0;
				  opština&#xa0;
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:AdresaPoslodavca/sokop:Opstina"/>;&#xa0;
                  i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/>
                  broj
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/>
                  sve do namirenja tražioca izvršenja.
                  Zabranuje se da
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:NazivPoslodavca"/>
                  ovaj iznos isplati izvršeniku prije isplate potraživanja utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
								</p>
							</div>
						</xsl:when>
						<xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeSud'">
							<div>
								<p>
                  pa da nastavlja izvršenje zapljenom, u skladu sa članom 138. ZIP-a, novčanog potraživanja – plate, naknade i slično – koje izvršenik ostvaruje kod
				  poslodavca do kojeg će sud moći doći elektronskim putem na osnovu JMB izvršenika
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeSud/sokop:JMBIzvrsenika"/>,
				  i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeSud/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/>
				  broj
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeSud/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/>
				  sve do namirenja tražioca izvršenja. Zabranjuje se da poslodavac ovaj iznos isplati izvršeniku prije isplate potraživanja
				  utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
								</p>
							</div>
						</xsl:when>
						<xsl:otherwise>
							<p>
							</p>
						</xsl:otherwise>
					</xsl:choose>
				</p>
			</div>
<div id = "footer">
				<p class="signature">
					<strong>Tražilac izvršenja:</strong>
					<br/>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Zastupnik/sokop:Ime"/>&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Zastupnik/sokop:Prezime"/>
					<br/>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Zastupnik/sokop:Funkcija"/>
				</p>
			</div>
		</div>
            
	</xsl:template>
</xsl:stylesheet>
