<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
     version="1.0" 
     xmlns="http://www.w3.org/1999/xhtml"
     xmlns:s="http://sokop/prijedlozi"  
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
<xsl:output 
     method="html"  
       doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
       doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

  <xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>
    
  <xsl:template match="/">
    <html>
      <head>
        <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
        <link rel="stylesheet" type="text/css" href="/xsl/document.css" />
                <title>Prijedlog za izvršenje</title>
            </head>
            <body>
              <xsl:if test="name(/*) = 'Prijedlozi'">
                <xsl:for-each select="s:Prijedlozi/s:Prijedlog">
                    <xsl:call-template name="PrijedlogZaIzvrsenje_Template"/>
                    <hr class="end"/>
                </xsl:for-each>
              </xsl:if>
              <xsl:if test="name(/*) = 'Prijedlog'">
                <xsl:for-each select="s:Prijedlog">
                    <xsl:call-template name="PrijedlogZaIzvrsenje_Template"/>
                </xsl:for-each>
              </xsl:if>
            </body>
    </html>
    </xsl:template>
    
    <xsl:template name="PrijedlogZaIzvrsenje_Template">
    <xsl:variable name="vrijednostSpora" select='format-number(sum(s:Dugovanja/s:Stanje/s:Racun/s:Duguje)-sum(s:Dugovanja/s:Stanje/s:Uplata/s:Potrazuje), "###.###,00", "nas")'/>

    <xsl:if test="s:Potpis">
      <div>
          Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
          DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
          Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
      </div>
    </xsl:if>
    
    <xsl:if test="s:DatumPrijema">
      <div class="pecat">
            Primljeno u sud: <xsl:value-of select="s:DatumPrijema"/>
      </div>
    </xsl:if>
    
    <br/>
    <div>   
    <table class="border_none" width="90%" cellpadding="0">
       <tr>
         <td width="15%">
           <strong>JKP/JP:</strong>
         </td>
         <td width="75%">
           <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
         </td>
       </tr>
       <tr>
         <td>
           <strong>Broj prijedloga:</strong>
         </td>
         <td>
           <xsl:value-of select="s:BrojPrijedloga"/>
         </td>
       </tr>
       <tr>
         <td>
           <strong>Mjesto i datum:</strong>
         </td>
         <td>
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,&#xa0;
           <xsl:value-of select="s:DatumPrijedloga"/>
         </td>
       </tr>
    </table>
    </div>
    <div>
    <table class="border_none" width="95%" cellpadding="0">
       <tr>
         <td colspan="2">
           <h3>
             <strong><xsl:value-of select="s:Sud/s:Naziv"/></strong>
           </h3>
         </td>
       </tr>
       <tr>
         <td width="15%">
           <strong>TRAŽILAC IZVRŠENJA:</strong>
         </td>
         <td width="80%">
           <xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>;&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Ulica"/>&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:BrojUlice"/>,&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>;&#xa0;
           zastupnik&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>,&#xa0;
           <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
         </td>
       </tr>
       <xsl:variable name="IZVRSENICIlength" select="count(s:Izvrsenici/s:Izvrsenik)"/>
       <xsl:if test="$IZVRSENICIlength > '1'">
       <tr>
             <td>
               <strong>IZVRŠENICI:</strong>
             </td>
        </tr>
       </xsl:if>
       
        <xsl:for-each select="s:Izvrsenici/s:Izvrsenik">
            <xsl:if test="name(*) = 'FizickoLice'">
            <tr>
             <td>
               <strong> <xsl:if test="$IZVRSENICIlength = '1'">IZVRŠENIK: </xsl:if></strong>
             </td>
             <td>
                <xsl:value-of select="s:FizickoLice/s:Ime"/>&#xa0;
                <xsl:value-of select="s:FizickoLice/s:Prezime"/>&#xa0;
                (<xsl:value-of select="s:FizickoLice/s:ImeRoditelja"/>)
             </td>
           </tr>
           <tr>
             <td>
               &#xa0;
             </td>
             <td>
               <xsl:value-of select="s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
               <xsl:value-of select="s:FizickoLice/s:Adresa/s:BrojUlice"/>&#xa0;
               <xsl:value-of select="s:FizickoLice/s:Adresa/s:Opis"/>,&#xa0;
               <xsl:value-of select="s:FizickoLice/s:Adresa/s:Mjesto"/>,&#xa0;
               opština&#xa0;<xsl:value-of select="s:FizickoLice/s:Adresa/s:Opstina"/>;&#xa0;
               šifra korisnika&#xa0;<xsl:value-of select="@sifra"/>
             </td>
           </tr>
          </xsl:if>
            <xsl:if test="name(*) = 'PravnoLice'">
           <tr>
             <td>
               <strong> <xsl:if test="$IZVRSENICIlength = '1'">IZVRŠENIK: </xsl:if></strong>
             </td>
             <td>
                <xsl:value-of select="s:PravnoLice/s:Naziv"/>
             </td>
           </tr>
           <tr>
             <td>
               &#xa0;
             </td>
             <td>
               <xsl:value-of select="s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
               <xsl:value-of select="s:PravnoLice/s:Adresa/s:BrojUlice"/>&#xa0;
               <xsl:value-of select="s:PravnoLice/s:Adresa/s:Opis"/>,&#xa0;
               <xsl:value-of select="s:PravnoLice/s:Adresa/s:Mjesto"/>,&#xa0;
               opština&#xa0;<xsl:value-of select="s:PravnoLice/s:Adresa/s:Opstina"/>;&#xa0;
               šifra korisnika&#xa0;<xsl:value-of select="@sifra"/>
             </td>
           </tr>
       </xsl:if>
        </xsl:for-each>         
       <xsl:if test="name(/*) = 'FizickoLice'">
           <tr>
             <td>
               <strong>IZVRŠENIK:</strong>
             </td>
             <td>
                <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Ime"/>&#xa0;
                <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Prezime"/>&#xa0;
                (<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja"/>)
             </td>
           </tr>
           <tr>
             <td>
               &#xa0;
             </td>
             <td>
               <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Ulica"/>&#xa0;
               <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:BrojUlice"/>&#xa0;
               <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opis"/>,&#xa0;
               <xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Mjesto"/>,&#xa0;
               opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Adresa/s:Opstina"/>;&#xa0;
               šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/@sifra"/>
             </td>
           </tr>
       </xsl:if>
       <xsl:if test="name(/*) = 'PravnoLice'">
           <tr>
             <td>
               <strong>IZVRŠENIK: A sad vidiš li?</strong>
             </td>
             <td>
                <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Naziv"/>
             </td>
           </tr>
           <tr>
             <td>
               &#xa0;
             </td>
             <td>
               <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Ulica"/>&#xa0;
               <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:BrojUlice"/>&#xa0;
               <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opis"/>,&#xa0;
               <xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Mjesto"/>,&#xa0;
               opština&#xa0;<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Adresa/s:Opstina"/>;&#xa0;
               šifra korisnika&#xa0;<xsl:value-of select="s:Izvrsenik/@sifra"/>
             </td>
           </tr>
       </xsl:if>
       <tr>
         <td colspan="2">
           <strong>RADI: NAPLATE NOVČANOG POTRAŽIVANJA</strong>
         </td>
       </tr>
       <tr>
         <td colspan="2">
           <strong>
           V.S:&#xa0;&#xa0;&#xa0;&#xa0;
           <xsl:value-of select="$vrijednostSpora"/>&#xa0;&#xa0;KM
           </strong>
         </td>
       </tr>
    </table>
    </div>
    <div>
    <table class="border_none" width="95%" cellpadding="0">
      <tr>
        <td>
         <h3>
           <strong>PRIJEDLOG ZA IZVRŠENJE</strong>
           <br/>
           <strong>na osnovu vjerodostojne isprave</strong>
         </h3>
         <p>
          Izvršenik tražiocu izvršenja na osnovu <xsl:value-of select="s:ZakonskiOsnov"/>
          duguje iznos od <xsl:value-of select="$vrijednostSpora"/> KM.
         </p>
         <p>
           DOKAZ: izvod iz poslovne knjige od&#xa0;<xsl:value-of select="s:Dugovanja/s:DatumIzvoda"/> u prilogu. 
         </p>
         <p>
          S obzirom da izvršenik nije ispunio svoju obavezu u zakonom propisanom roku, 
          tražilac izvršenja na osnovu Zakona o izvršnom postupku (ZIP) predlaže sudu da donese sljedeće
         </p>
         <h3>
          <strong>RJEŠENJE O IZVRŠENJU</strong> 
         </h3>
         <p>
          Kojim se izvršeniku nalaže da u roku od osam dana od dana dostave rješenja namiri potraživanje tražiocu izvršenja 
          na osnovu vjerodostojne isprave izvod iz poslovnih knjiga u iznosu od <xsl:value-of select="$vrijednostSpora"/> KM
          <xsl:choose>
            <xsl:when test="s:Kamata='OdDospjecaRacuna'">
                zajedno sa zakonskom zateznom kamatom počev od dana dospijeća računa pa do isplate kao što slijedi: 
                <xsl:for-each select="s:Dugovanja/s:Stanje/s:Racun">
                    <xsl:variable name="brojRacuna" select="s:BrojRacuna"/>
                    <xsl:variable name="iznosRacuna" select="s:Duguje"/>
                    <xsl:variable name="iznosUplata" select='(sum(../s:Uplata[s:BrojRacuna=$brojRacuna]/s:Potrazuje))'/>
                    na iznos <xsl:value-of select='format-number(($iznosRacuna - $iznosUplata), "###.###,00", "nas")'/> KM 
                    od <xsl:value-of select="s:DatumDospjeca"/> godine,
                </xsl:for-each>
            </xsl:when>
            <xsl:when test="s:Kamata='OdPodnosenjaPrijedloga'">
                zajedno sa zakonskom zateznom kamatom počev od dana podnošenja prijedloga za izvršenje pa do konačnog namirenja,
            </xsl:when>
            <xsl:when test="s:Kamata='BezKamate'">
                ,
            </xsl:when>
            <xsl:otherwise>
                &#xa0;
            </xsl:otherwise>
          </xsl:choose>
          kao i troškove izvršnog postupka prema odluci suda. 
         </p>
         <p>
          Ukoliko izvršenik ne ispuni obavezu iz stava 1. ovog rješenja, sud
         </p>
         <h3 class="normal">
           ODREĐUJE IZVRŠENJE:
         </h3>
         <xsl:choose>
           <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'PokretnaImovina'">
           <div>
            <p> 
              Pljenidbom, popisom, procjenom i prodajom pokretnih stvari
                  <xsl:if test="name(//s:Izvrsenik/*) = 'FizickoLice'">izvršenika</xsl:if>
                  <xsl:if test="name(//s:Izvrsenik/*) = 'PravnoLice'">koje se nađu u poslovnim prostorijama izvršenika</xsl:if>
              <xsl:value-of select="s:SredstvoIzvrsenja/s:PokretnaImovina/s:Opis"/>, 
              sve do namirenja tražioca izvršenja.<xsl:if test="s:SredstvoIzvrsenja/s:PokretnaImovina/s:CuvanjeSud"><xsl:if test="s:SredstvoIzvrsenja/s:PokretnaImovina/s:CuvanjeSud='1'"> Popisane i zaplijenjene dragocjenosti, te pokretne stvari veće vrijednosti (televizor, mobiteli, računari i dr.) izvršenika prema procjeni sudskog izvršitelja predaju se na čuvanje i prodaju Sudu, a druge popisane i zaplijenjene stvari će biti predate na čuvanje izvršeniku ili tražiocu izvršenja.</xsl:if></xsl:if>
              Izvršeniku se zabranjuje opterećenje, otuđenje, zalaganje, oštećenja i 
              uništenja popisanih stvari pod prijetnjom zakonske odgovornosti. <xsl:if test="not(s:SredstvoIzvrsenja/s:PokretnaImovina/s:CuvanjeSud)">Zapljenjene stvari izvršenika će biti čuvane kod 
              <xsl:choose>
                <xsl:when test="s:SredstvoIzvrsenja/s:PokretnaImovina/s:ImovinaKod = 'Izvrsenik'">
                    izvršenika
                </xsl:when>
                <xsl:when test="s:SredstvoIzvrsenja/s:PokretnaImovina/s:ImovinaKod = 'TraziocIzvrsenja'">
                    tražioca
                </xsl:when>
                <xsl:otherwise>
                    &#xa0;
                </xsl:otherwise>
              </xsl:choose>
              na adresi 
              <xsl:value-of select="s:SredstvoIzvrsenja/s:PokretnaImovina/s:Adresa"/>.</xsl:if>
            </p>
            </div>
            </xsl:when>
            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeBanka'">
            <div>
            <p> 
              Zapljenom novčanog potraživanja na računu izvršenika
              <xsl:for-each select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeBanka/s:BankovniRacuniIzvrsenika/s:BankovniRacun"> 
                kod banke
                <xsl:value-of select="s:Banka/s:Naziv"/> 
                broj 
                <xsl:value-of select="s:BrojRacuna"/>,
              </xsl:for-each>
              te namirivanjem tražioca izvršenja prenosom radi naplate novčanog potraživanja izvršenika nakon pravosnažnosti rješenja na broj računa tražioca izvršenja 
              <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeBanka/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/> 
              kod banke 
              <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeBanka/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/>.
            </p>
            </div>
            </xsl:when>
            <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjePoslodavac'">
            <div>  
                <p> 
                  Zapljenom iznosa, ograničenom u skladu sa članom 138. ZIP-a, (jedne polovine za dio potraživanja koji ne prelazi 1000 KM 
                  mjesečno, te dvije trećine na eventualni dio koji prelazi 1000 KM mjesečno), novčanog potraživanja – 
                  <xsl:choose>
                    <xsl:when test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:Tip/@sifra = 'PLT'">
                        plate
                    </xsl:when>
                    <xsl:when test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:Tip/@sifra = 'PNZ'">
                        penzije
                    </xsl:when>
                    <xsl:when test="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:Tip/@sifra = 'NKN'">
                        naknade i slično
                    </xsl:when>
                    <xsl:otherwise>
                        &#xa0;
                    </xsl:otherwise>
                  </xsl:choose>
                  koje izvršenik ostvaruje kod 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:NazivPoslodavca"/>
                  adresa: 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Ulica"/>&#xa0;
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:BrojUlice"/>&#xa0;
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Opis"/>,&#xa0;
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Mjesto"/>,&#xa0;
                  opština&#xa0;<xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:AdresaPoslodavca/s:Opstina"/>;&#xa0;
                  i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/>
                  broj 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/>
                  sve do namirenja tražioca izvršenja. 
                  Zabranuje se da 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjePoslodavac/s:NazivPoslodavca"/> 
                  ovaj iznos isplati izvršeniku prije isplate potraživanja utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
                </p>
            </div>
          </xsl:when>
          <xsl:when test="name(s:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeSud'">
            <div>
                <xsl:choose>                
                <xsl:when test="name(//s:Izvrsenik/*) = 'PravnoLice'">
                <p>
                    Zapljenom i prenosom sredstava sa transakcijskih računa koje pravno lice ima otvorene kod komercijalnih banaka, u skladu sa 
                    članom 138. ZIP-a, a do kojih će sud doći elektronksim putem na osnovu PIB pravnog lica 
                    <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:JMBIzvrsenika"/> 
                    i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke  
                    <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/> 
                    broj <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/> 
                    sve do namirenja tražioca izvršenja. Zabranjuje se raspolaganje sredstvima na računu izršenika prije isplate potraživanja 
                    utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
                    </p>
                </xsl:when>
                <xsl:otherwise>  
                <p> 
                  Zapljenom, u skladu sa članom 138. ZIP-a, novčanog potraživanja – plate, naknade i slično – koje izvršenik ostvaruje kod 
                  poslodavca do kojeg će sud moći doći elektronskim putem na osnovu JMB izvršenika 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:JMBIzvrsenika"/>, 
                  i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke 
                  <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:BankovniRacunTraziocaIzvrsenja/s:Banka/s:Naziv"/> 
                  broj <xsl:value-of select="s:SredstvoIzvrsenja/s:NovcanoPotrazivanjeSud/s:BankovniRacunTraziocaIzvrsenja/s:BrojRacuna"/> 
                  sve do namirenja tražioca izvršenja. Zabranjuje se da poslodavac ovaj iznos isplati izvršeniku prije isplate potraživanja 
                  utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
                </p>
                </xsl:otherwise>
                </xsl:choose>
                <p></p>
            </div>
          </xsl:when>
          <xsl:otherwise>
            <p>
            </p>
          </xsl:otherwise>
         </xsl:choose>
         <div>

         </div>
         <div>
         <table class="border_none" width="90%" cellpadding="0">
           <tr>
             <td>
               <p class="signature">
                 Za tražioca izvršenja
                 <br/>
                 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
                 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>
                 <br/>
                 <xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
               </p>
             </td>
           </tr>
         </table>
         </div>
        </td>
      </tr>
    </table>
    </div>
    <div>
      <table class="border_none" width="70%" cellpadding="0">
        <tr>
          <td width="50%">
            TROŠKOVNIK
          </td>
          <td width="15%">
            &#xa0;
          </td>
          <td width="5%">
            &#xa0;
          </td>
        </tr>
       <tr>
        <td>
            -Sudska taksa na prijedlog za izvršenje i rješenje o izvršenju po odluci suda
        </td>
        <td  align="right">
        </td>
        <td  align="left">
        </td>
      </tr>       
        <xsl:for-each select="s:Troskovi/s:Trosak">
          <tr>
            <td>
              -<xsl:value-of select="s:Opis"/> 
            </td>
            <td  align="right">
              <xsl:value-of select='format-number(s:Iznos, "###.###,00", "nas")'/>   
            </td>
            <td  align="left">
              KM
            </td>
          </tr>
        </xsl:for-each>
      </table>
    </div>
    </xsl:template>
    
</xsl:stylesheet>