<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns="http://www.w3.org/1999/xhtml"
xmlns:sokop="http://sokop/prijedloziZaNastavakPoOsnovuPresude"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"
	        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>

	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="/xsl/document.css" /><!--/xsl/document.css-->
				<title>PrijedlogZaNastavakPoOsnovuPresude</title>
			</head>
			<body>
				<xsl:if test="name(/*) = 'PrijedloziZaNastavakPoOsnovuPresude'">
					<xsl:for-each select="PrijedloziZaNastavakPoOsnovuPresude/sokop:PrijedlogZaNastavakPoOsnovuPresude">
						<xsl:call-template name="PrijedlogZaNastavakPoOsnovuPresude_Template"/>
						<hr class="end"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="name(/*) = 'PrijedlogZaNastavakPoOsnovuPresude'">
					<xsl:for-each select="sokop:PrijedlogZaNastavakPoOsnovuPresude">
						<xsl:call-template name="PrijedlogZaNastavakPoOsnovuPresude_Template"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="PrijedlogZaNastavakPoOsnovuPresude_Template">
		<xsl:variable name="vrijednostSpora"
		 select='format-number(sokop:VrijednostSpora, "###.###0,00", "nas")'/>
		<xsl:variable name = "trosakTrazioca"
			select = 'format-number(sum(sokop:TroskoviTrazioca/sokop:TrosakTrazioca/sokop:Iznos), "###.###0,00", "nas")'/>
		<xsl:variable name = "glavniDug" select='format-number(sum(sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuRacuna/sokop:Duguje)+
			sum(sokop:IzvadakIzPoslovneKnjige/sokop:DospijecePoOsnovuTaksiITroskovaPoPresudi/sokop:Duguje) -
			sum(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuRacuna/sokop:Potrazuje) -
			sum(sokop:IzvadakIzPoslovneKnjige/sokop:UplataPoOsnovuTaksiITroskovaPoPresudi/sokop:Potrazuje), "###.###0,00", "nas")'/>
		<div id="page" align="center">
			<div id = "header" align="left">
				<xsl:if test= "sokop:Potpis">
					<ul>
						<li>
                Digitalni potpis JKP:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:Potpisnik"/>
						<br/>
						<li>
                DN:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:DN"/>
						<br/>
						<li>
                Datum:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:VrijemePotpisa"/>
					</ul>
				</xsl:if>
				<br/>
				<ul>
					<xsl:if test="sokop:DatumPrijema">
					     
						<div class="pecat">
                                Primljeno u sud: 
							<xsl:value-of select="sokop:DatumPrijema"/>
						</div>
             
					</xsl:if>
					<li>
                Broj prijedloga:&#xa0;
					</li>
					<xsl:value-of select="sokop:BrojPrijedloga"/>
					<br/>
						<li>
                Broj predmeta:&#xa0;
					</li>
					<xsl:value-of select="sokop:SokopBrojPredmeta"/><br/>
					<xsl:if test="sokop:SokopStariBrojPredmeta">
						<li>
                Stari broj predmeta:&#xa0;
					</li>
					<xsl:value-of select="sokop:SokopStariBrojPredmeta"/><br/>
					</xsl:if>
					
					<li>
                Mjesto i datum:&#xa0;
					</li>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:Mjesto"/>,&#xa0;
					<xsl:value-of select="sokop:DatumPrijedloga"/>
				</ul>
			</div>
			<div id = "title" align="left">
                  
				<h3>
					<xsl:value-of select="sokop:IzvrsniSud/sokop:Naziv"/>
				</h3>
				<br/>
				<ul>
					<li>
						<strong>TRAŽILAC IZVRŠENJA:</strong>&#xa0;
					</li>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Naziv"/>,&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:Ulica"/>&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Adresa/sokop:Mjesto"/>
					<br/>
					
					   <xsl:variable name="IZVRSENICIlength" select="count(sokop:Izvrsenici/sokop:Izvrsenik)"/>
       <xsl:if test="$IZVRSENICIlength > '1'">
      <li>
			   <strong>IZVRŠENICI:</strong>
		</li>
       </xsl:if>
       
       	<xsl:for-each select="sokop:Izvrsenici/sokop:Izvrsenik">
      	
      		<xsl:if test="sokop:SifraTipaLica = 'F'">
			   <xsl:if test="$IZVRSENICIlength = '1'"><strong> IZVRŠENIK: </strong></xsl:if> 
			
				<xsl:value-of select="sokop:Ime"/>&#xa0;
						<xsl:choose>
							<xsl:when test="sokop:ImeRoditelja">
								<xsl:if test="not(sokop:ImeRoditelja = '')">
									(
									<xsl:value-of select="sokop:ImeRoditelja"/>
									)&#xa0;
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:value-of select="sokop:Prezime"/>,&#xa0;
						<xsl:value-of select="sokop:Adresa/sokop:Ulica"/>&#xa0;BR.
						<xsl:value-of select="sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Adresa/sokop:Mjesto"/>&#xa0;
		  </xsl:if>
		   	<xsl:if test="sokop:SifraTipaLica = 'P'">
		 
			  <xsl:if test="$IZVRSENICIlength = '1'">  <strong>IZVRŠENIK:</strong> </xsl:if>
			
				<xsl:value-of select="sokop:Naziv"/>,&#xa0;
						<xsl:value-of select="sokop:Adresa/sokop:Ulica"/>&#xa0;
						<xsl:value-of select="sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Adresa/sokop:Mjesto"/>&#xa0;
	   </xsl:if>
		</xsl:for-each>			
				
					<xsl:if test="sokop:Izvrsenik/sokop:SifraTipaLica = 'F'">
						<li>
						<strong>IZVRŠENIK:</strong> &#xa0;
					</li>
						<xsl:value-of select="sokop:Izvrsenik/sokop:Ime"/>&#xa0;
						<xsl:choose>
							<xsl:when test="sokop:Izvrsenik/sokop:ImeRoditelja">
								<xsl:if test="not(sokop:Izvrsenik/sokop:ImeRoditelja = '')">
									(
									<xsl:value-of select="sokop:Izvrsenik/sokop:ImeRoditelja"/>
									)&#xa0;
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:value-of select="sokop:Izvrsenik/sokop:Prezime"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Ulica"/>&#xa0;BR.
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					</xsl:if>
					<xsl:if test="sokop:Izvrsenik/sokop:SifraTipaLica = 'P'">
						<li>
						<strong>IZVRŠENIK:</strong>&#xa0;
					</li>
						<xsl:value-of select="sokop:Izvrsenik/sokop:Naziv"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Ulica"/>&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Izvrsenik/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					</xsl:if>
					<br/>
					<li>
						<strong>RADI:</strong>&#xa0;
					</li>NAPLATE NOVČANOG POTRAŽIVANJA
					<br/>
					<li>
						<strong>VRIJEDNOST SPORA:</strong>
					</li><strong>	<xsl:value-of select="sokop:DosudeniIznos"/>&#xa0;KM</strong>
					</ul>
			</div>
			<div id="content">
				<h3>PRIJEDLOG ZA NASTAVAK POSTUPKA</h3>
				<br/>
				<p>Tražilac izvršenja na osnovu člana 50. stav 5. Zakona o izvršnom postupku podnosi prijedlog za nastavak izvršnog 
				postupka koji je odgođen Rješenjem ovog suda broj <xsl:value-of select="sokop:SokopBrojPredmeta"/>  
				od <xsl:value-of select="sokop:DatumRjesenja"/></p>
				<p>Na osnovu pravosnažne i izvršne presude izvršenik je obavezan platiti tražiocu
				izvršenja iznos glavnog duga od
					<xsl:value-of select="sokop:DosudeniIznos"/> KM
						<xsl:if test="sokop:DosudeniTrosak"> <xsl:if test="sokop:DosudeniTrosak &gt; 0">
						, kao i iznos dosuđenih troškova parničnog postupka od <xsl:value-of select="sokop:DosudeniTrosak"/>  KM
						</xsl:if>
						</xsl:if>
					<xsl:if test="sokop:DatumKamataOd">, sa zakonskim zateznim kamatama od <xsl:value-of select="sokop:DatumKamataOd"/> do dana isplate</xsl:if>.
			
			
				</p>				
				
				<p>
					DOKAZ: pravosnažna i izvršna presuda broj
					<xsl:value-of select="sokop:BrojPresude"/> od
					<xsl:value-of select="sokop:DatumPresude"/>
				</p>
				<p>Presuda je postala pravosnažna sa danom <xsl:value-of select="sokop:DatumPravosnaznostiPresude"/> godine, 
				a obzirom da u zakonom propisanom roku izvršenik nije ispunio svoju obavezu, tražitelj izvršenja predlaže da sud nastavi odgođeni izvršni postupak radi naplate novčanog potraživanja u iznosu 
				od <xsl:value-of select="sokop:DosudeniIznos"/>&#xa0;KM <xsl:if test="sokop:DatumKamataOd">sa pripadajućim zakonskim zateznim kamatama od <xsl:value-of select="sokop:DatumKamataOd"/> do dana isplate</xsl:if>,
				kao i prethodno priznatih troškova izvršnog postupka prema odluci suda.
			
			<xsl:if test="sokop:PromjenaSredstva">
						<xsl:choose>
						 <xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'sokop:PokretnaImovina'">
							<div>
								<p>
								Tražitelj izvršenja predlaže da se izvršenje nastavi pljenidbenim popisom, procjenom i prodajom pokretnih stvari izvršenika
								
								
								
							<xsl:if test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Opis">
               i to: 	<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Opis"/>
              </xsl:if>
			   <xsl:if test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">
              	na adresi <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa"/>
              </xsl:if>, 
			  sve do namirenja tražioca izvršenja. 
			  Izvršeniku se zabranjuje opterećenje, otuđenje, zalaganje, oštećenja i uništenja popisanih stvari pod prijetnjom zakonske odgovornosti. 
			  Zapljenjene stvari izvršenika će biti čuvane kod
			  
			  	<xsl:choose>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:ImovinaKod = 'Izvrsenik'">
											<xsl:choose>
												<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">
													izvršenika
												</xsl:when>
												<xsl:otherwise>
													izvršenika
												</xsl:otherwise>
											</xsl:choose>
										</xsl:when>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:ImovinaKod = 'TraziocIzvrsenja'">
										<xsl:choose>
											<xsl:when test="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">
												tražioca
											</xsl:when>
											<xsl:otherwise>
												tražioca
											</xsl:otherwise>
										</xsl:choose>
										</xsl:when>
										
									</xsl:choose>
								  <xsl:if test = "sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa">na adresi
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:PokretnaImovina/sokop:Adresa"/>
								  </xsl:if>.							  
           
							    </p>
							</div>
						</xsl:when>
						<xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'sokop:NovcanoPotrazivanjeBanka'">
							<div>
								<p>
								Tražitelj izvršenja predlaže da se izvršenje nastavi pljenidbom i prenosom novčanog potraživanja sa računa izvršenika 
		
									<xsl:for-each select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeBanka/sokop:BankovniRacuniIzvrsenika/sokop:BankovniRacun">
				broj
										<xsl:value-of select="sokop:BrojRacuna"/>
				u banci
										<xsl:value-of select="sokop:Banka/sokop:Naziv"/>
				
									</xsl:for-each>
              na račun tražioca broj
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeBanka/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/>
			u banci
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeBanka/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/>,
									sve do namirenja tražioca izvršenja. Zabranjuje se izvršenikovom dužniku da izvršeniku ispuni novčano potraživanje, a izvršeniku se zabranjuje da to potraživanje naplati ili da inače njime raspolaže.
								</p>
							</div>
						</xsl:when>
						<xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'sokop:NovcanoPotrazivanjePoslodavac'">
							<div>
								<p>
									<xsl:choose>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:Tip/@sifra = 'PLT'">
					Tražitelj izvršenja predlaže da se izvršenje nastavi obustavom isplate dijela plaće izvršenika koju ostvaruje kod poslodavca <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:NazivPoslodavca"/>
					 pljenidbom i prenosom na račun tražioca broj <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/> 
					 u banci <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/> , 
					 sve do namirenja tražioca izvršenja. 
					 Zabranjuje se izvršenikovom dužniku da izvršeniku ispuni novčano potraživanje, a izvršeniku se zabranjuje da to potraživanje naplati ili da inače njime raspolaže, u dijelu u kojem zahvaćeno izvršenjem.
										</xsl:when>
										<xsl:when test="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:Tip/@sifra = 'PNZ'">
					Tražitelj izvršenja predlaže da se izvršenje nastavi obustavom isplate dijela penzije izvršenika pljenidbom i prenosom na račun tražioca broj <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/>
					 u banci <xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjePoslodavac/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/> , sve do namirenja tražioca izvršenja. 
					 Zabranjuje se izvršenikovom dužniku da izvršeniku ispuni novčano potraživanje, a izvršeniku se zabranjuje da to potraživanje naplati ili da inače njime raspolaže, u dijelu u kojem zahvaćeno izvršenjem.
										</xsl:when>
									
										
									</xsl:choose>
                 
								</p>
							</div>
						</xsl:when>
						<xsl:when test="name(sokop:SredstvoIzvrsenja/*) = 'NovcanoPotrazivanjeSud'">
							<div>
								<p>
                  pa da nastavlja izvršenje zapljenom, u skladu sa članom 138. ZIP-a, novčanog potraživanja – plate, naknade i slično – koje izvršenik ostvaruje kod
				  poslodavca do kojeg će sud moći doći elektronskim putem na osnovu JMB izvršenika
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeSud/sokop:JMBIzvrsenika"/>,
				  i prenosom utvrđenog novčanog potraživanja ovim rješenjem na račun tražioca izvršenja kod banke
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeSud/sokop:BankovniRacunTraziocaIzvrsenja/sokop:Banka/sokop:Naziv"/>
				  broj
									<xsl:value-of select="sokop:SredstvoIzvrsenja/sokop:NovcanoPotrazivanjeSud/sokop:BankovniRacunTraziocaIzvrsenja/sokop:BrojRacuna"/>
				  sve do namirenja tražioca izvršenja. Zabranjuje se da poslodavac ovaj iznos isplati izvršeniku prije isplate potraživanja
				  utvrđenog Rješenjem o izvršenju pod prijetnjom zakonskih posljedica.
								</p>
							</div>
						</xsl:when>
						<xsl:otherwise>
							<p>
							</p>
						</xsl:otherwise>
					</xsl:choose>
					</xsl:if>
						<xsl:if test="not(sokop:PromjenaSredstva)"><div><p>Tražilac izvršenja ostaje kod ranije predloženog sredstva i predmeta izvršenja.</p></div></xsl:if>
				</p>
			</div>
<div id = "footer">
				<p class="signature">
					<strong>Tražilac izvršenja:</strong>
					<br/>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Zastupnik/sokop:Ime"/>&#xa0;
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Zastupnik/sokop:Prezime"/>
					<br/>
					<xsl:value-of select="sokop:TrazilacIzvrsenja/sokop:Zastupnik/sokop:Funkcija"/>
				</p>
			</div>
		</div>
            
	</xsl:template>
</xsl:stylesheet>
