<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet
     version="1.0"
     xmlns="http://www.w3.org/1999/xhtml"
	 xmlns:s="http://sokop/podnesci"
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:output
     method="html"
	 doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	 doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />

	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<link rel="stylesheet" type="text/css" href="/xsl/document.css" />
				<title>Promjena naziva izvršenika</title>
			</head>
			<body>
				<xsl:if test="name(/*) = 'PromjeneNaziva'">
					<xsl:for-each select="s:PromjeneNaziva/s:PromjenaNaziva">
						<xsl:call-template name="PromjenaNaziva_Template"/>
						<hr class="end"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="name(/*) = 'PromjenaNaziva'">
					<xsl:for-each select="s:PromjenaNaziva">
						<xsl:call-template name="PromjenaNaziva_Template"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="PromjenaNaziva_Template">
		<xsl:if test="s:Potpis">
			<div>
				Digitalni potpis JKP:&#xa0;<xsl:value-of select="s:Potpis/s:Potpisnik"/><br/>
				DN:&#xa0;<xsl:value-of select="s:Potpis/s:DN"/><br/>
				Datum:&#xa0;<xsl:value-of select="s:Potpis/s:VrijemePotpisa"/><br/>
			</div>
		</xsl:if>
		<xsl:if test="s:DatumPrijema">
			<div class="pecat">
				Primljeno u sud: <xsl:value-of select="s:DatumPrijema"/>
			</div>
		</xsl:if>
		<br/>
		<div>
			<table class="border_none" width="90%" cellpadding="0">
				<tr>
					<td width="15%">
						<strong>JKP/JP</strong>
					</td>
					<td width="75%">
						<xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>
					</td>
				</tr>
				<tr>
					<td>
						<strong>Broj predmeta</strong>
					</td>
					<td>
						<xsl:value-of select="s:BrojPredmeta"/>
					</td>
				</tr>
				<tr>
					<td>
						<strong>Mjesto i datum</strong>
					</td>
					<td>
						<xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>,
						<xsl:value-of select="s:DatumPodneska"/>
					</td>
				</tr>
			</table>
		</div>
		<div>
			<table class="border_none" width="95%" cellpadding="0">
				<tr>
					<td colspan="2">
						<h3>
							<strong>
								<xsl:value-of select="s:Sud"/>
							</strong>
						</h3>
					</td>
				</tr>
				<tr>
					<td width="15%">
						<strong>TRAŽILAC IZVRŠENJA:</strong>
					</td>
					<td width="80%">
						<xsl:value-of select="s:TraziocIzvrsenja/s:Naziv"/>;&#xa0;
						<xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Ulica"/>&#xa0;
						<xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:BrojUlice"/>,&#xa0;
						<xsl:value-of select="s:TraziocIzvrsenja/s:Adresa/s:Mjesto"/>;&#xa0;
						zastupnik&#xa0;
						<xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
						<xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>,&#xa0;
						<xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
					</td>
				</tr>
				<xsl:if test="name(s:Izvrsenik/*) = 'FizickoLice'">
					<tr>
						<td>
							<strong>IZVRŠENIK:</strong>
						</td>
						<td>
							<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Ime"/>&#xa0;
							<xsl:if test="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja!=''">
					<xsl:if test="substring(s:Izvrsenik/s:FizickoLice/s:ImeRoditelja,1,1)!='('">(</xsl:if></xsl:if><xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja"/>
					<xsl:if test="s:Izvrsenik/s:FizickoLice/s:ImeRoditelja!=''">
					<xsl:if test="substring(s:Izvrsenik/s:FizickoLice/s:ImeRoditelja,1,1)!='('">)</xsl:if></xsl:if>
					&#xa0;
							<xsl:value-of select="s:Izvrsenik/s:FizickoLice/s:Prezime"/>
						</td>
					</tr>
				</xsl:if>
				<xsl:if test="name(s:Izvrsenik/*) = 'PravnoLice'">
					<tr>
						<td>
							<strong>IZVRŠENIK:</strong>
						</td>
						<td>
							<xsl:value-of select="s:Izvrsenik/s:PravnoLice/s:Naziv"/>
						</td>
					</tr>
				</xsl:if>
				<tr>
					<td colspan="2">
						<strong>RADI: NAPLATE NOVČANOG POTRAŽIVANJA</strong>
					</td>
				</tr>
				<tr>
					<td colspan="2">
						<strong>
							V.S:&#xa0;&#xa0;&#xa0;&#xa0;
							<xsl:value-of select="s:VrijednostSpora"/>&#xa0;&#xa0;KM
						</strong>
					</td>
				</tr>
			</table>
		</div>
		<div>
			<table class="border_none" width="95%" cellpadding="0">
				<tr>
					<td>
						<h3>
							<strong>DOSTAVA TAČNOG NAZIVA IZVRŠENIKA</strong>
						</h3>
						<br/>
						<p>
							Tačno ime i prezime izvršenika je:
							<br/><br/>
							<xsl:if test="name(s:Izvrsenik/*) = 'FizickoLice'">
								<xsl:value-of select="s:NoviPodaci/s:FizickoLice/s:Ime"/>&#xa0;
					<xsl:if test="s:NoviPodaci/s:FizickoLice/s:ImeRoditelja!=''">
					<xsl:if test="substring(s:NoviPodaci/s:FizickoLice/s:ImeRoditelja,1,1)!='('">(</xsl:if>
					</xsl:if><xsl:value-of select="s:NoviPodaci/s:FizickoLice/s:ImeRoditelja"/>
						<xsl:if test="s:NoviPodaci/s:FizickoLice/s:ImeRoditelja!=''">
					<xsl:if test="substring(s:NoviPodaci/s:FizickoLice/s:ImeRoditelja,1,1)!='('">)</xsl:if>
					</xsl:if>
					&#xa0;
								<xsl:value-of select="s:NoviPodaci/s:FizickoLice/s:Prezime"/>
								<br/><br/>
								JMBG: <xsl:value-of select="s:NoviPodaci/s:FizickoLice/s:Jbmg"/>
								<br/><br/>
								Telefon: <xsl:value-of select="s:NoviPodaci/s:FizickoLice/s:TelefonskiBroj"/>
							</xsl:if>
							<xsl:if test="name(s:Izvrsenik/*) = 'PravnoLice'">
								<xsl:value-of select="s:NoviPodaci/s:PravnoLice/s:Naziv"/>
								<br/><br/>
								PIB: <xsl:value-of select="s:NoviPodaci/s:PravnoLice/s:Pib"/>
								<br/><br/>
								Telefon: <xsl:value-of select="s:NoviPodaci/s:PravnoLice/s:TelefonskiBroj"/>
							</xsl:if>
						</p>
						<p>
							Tražimo da se postupak izvršenja nastavi.
						</p>
						<p>
							<xsl:if test="s:Prilog">
								Prilog: <xsl:value-of select="s:Prilog"/>
							</xsl:if>
						</p>
					</td>
				</tr>
			</table>
		</div>
		<div>
			<table class="border_none" width="90%" cellpadding="0">
				<tr>
					<td>
						<p class="signature">
							Za tražioca izvršenja
							<br/>
							<xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Ime"/>&#xa0;
							<xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Prezime"/>
							<br/>
							<xsl:value-of select="s:TraziocIzvrsenja/s:Zastupnik/s:Funkcija"/>
						</p>
					</td>
				</tr>
			</table>
		</div>
	</xsl:template>

</xsl:stylesheet>
