<?xml version="1.0" encoding="UTF-8"?>

<xsl:stylesheet 
     version="1.0" 
     xmlns="http://www.w3.org/1999/xhtml" 
	 xmlns:s="http://sokop/prijedlozi"  
     xmlns:xsl="http://www.w3.org/1999/XSL/Transform" >
	<xsl:output
     method="html"  
	   doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
	   doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />	

	<xsl:template match="/">
		<html>
			<head>
				<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
				<link rel="stylesheet" type="text/css" href="/xsl/document.css" />
				<title>Rjesenje o dozvoli izvrsenja</title>
			</head>
			<body>
				<xsl:if test="name(/*) = 'Prijedlozi'">
					<xsl:for-each select="s:Prijedlozi/s:Prijedlog">
						<xsl:call-template name="RjesenjeODozvoli_Template"/>
						<hr class="end"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="name(/*) = 'Prijedlog'">
					<xsl:for-each select="s:Prijedlog">
						<xsl:call-template name="RjesenjeODozvoli_Template"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>
	
	<xsl:template name="RjesenjeODozvoli_Template">
		<div>
			<strong>Bosna i Hercegovina</strong><br/>
			<strong>$sud.entitet</strong><br/>
			<strong>$sud.kanton</strong><br/>
			<strong>$sud.naziv</strong><br/>
			<strong>Broj: $predmet.broj</strong><br/>
			$sud.mjesto.naziv, $datum<br/>
		</div>
		<div>
			<table class="border_none" width="95%" cellpadding="0">
				<tr>
					<td>
						<h3>
							<strong>RJEŠENJE O IZVRŠENJU</strong>
						</h3>
						<p>
							Sud određuje predloženo izvršenje.
						</p>
						<p>
							Ukupni troškovi izvršenja određuju se u iznosu od $fmtN.format($predmet.troskovi) KM.
							Od toga, taksa za prijedlog za izvršenje iznosi $fmtN.format($predmet.taksaNaPrijedlog) KM, a taksa za rješenje o izvršenju iznosi $fmtN.format($predmet.taksaNaRjesenje) KM.
						</p>
						<p>
							<strong>PRAVNA POUKA:</strong>
							Protiv ovog rješenja može se izjaviti prigovor ovom sudu u roku od 8 dana od dana prijema rješenja. Prigovor ne zaustavlja tok izvršnog postupka, ali se namirenje tražioca izvršenja odlaže do pravosnažnosti rješenja.
						</p>
						<div>
							<table class="border_none" width="90%" cellpadding="0">
								<tr>
									<td>
										<p class="signature">
											Sudija:
											<br/>
											$predmet.sudija.ime $predmet.sudija.prezime
										</p>
									</td>
								</tr>
							</table>
						</div>
						
							#if( $napomenaVisible )
								<p class="napomena">
									<strong>Napomena izvršeniku:</strong>
									Ukupan dug u iznosu od $fmtN.format($dug) KM<br/>
									možete platiti na račun tražioca izvršenja<br/>
									$predmet.traziocIzvrsenja.naziv broj $predmet.traziocIzvrsenja.brojRacuna
								</p>
							#end
						
					</td>
				</tr>
			</table>
		</div>
        <div style="position:absolute; top:10px; right:20px;">
            $pristupniKod
        </div>
	</xsl:template>
	
</xsl:stylesheet>
