<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0"
xmlns="http://www.w3.org/1999/xhtml"
xmlns:sokop="http://sokop/tuzbe"
xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="html"
	        doctype-public="-//W3C//DTD XHTML 1.0 Transitional//EN"
                doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd" />
	<xsl:decimal-format name="nas" decimal-separator="," grouping-separator="."/>

	<xsl:template match="/">
		<html>
			<head>
				<link rel="stylesheet" type="text/css" href="/xsl/document.css" />
				<title>Tuzba</title>
			</head>
			<body>
				<xsl:if test="name(/*) = 'Tuzbe'">
					<xsl:for-each select="sokop:Tuzbe/sokop:Tuzba">
						<xsl:call-template name="Tuzba_Template"/>
						<hr class="end"/>
					</xsl:for-each>
				</xsl:if>
				<xsl:if test="name(/*) = 'Tuzba'">
					<xsl:for-each select="sokop:Tuzba">
						<xsl:call-template name="Tuzba_Template"/>
					</xsl:for-each>
				</xsl:if>
			</body>
		</html>
	</xsl:template>

	<xsl:template name="Tuzba_Template">
		<xsl:variable name="smallcase" select="'abcdefghijklmnopqrstuvwxyz'" />
		<xsl:variable name="uppercase" select="'ABCDEFGHIJKLMNOPQRSTUVWXYZ'" />
		<xsl:variable name="vrijednostSpora"
        select='format-number(sokop:VrijednostSpora, "###.###0,00", "nas")'/>
		<div id="page" align="center">
            
			<xsl:if test="sokop:DatumPrijema">
				<div class="pecat">
                    Primljeno u sud: 
					<xsl:value-of select="sokop:DatumPrijema"/>
				</div>
			</xsl:if>

			<div id = "header" align="left">
				<xsl:if test= "sokop:Potpis">
					<ul>
						<li>
                Digitalni potpis JKP:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:Potpisnik"/>
						<br/>
						<li>
                DN:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:DN"/>
						<br/>
						<li>
                Datum:&#xa0;
						</li>
						<xsl:value-of select="sokop:Potpis/sokop:VrijemePotpisa"/>
					</ul>
				</xsl:if>
				<br/>
				<ul>
					<li>
						<xsl:value-of select="sokop:Tuzilac/sokop:Naziv"/>
					</li>
					<br/>
					<li>
						<xsl:value-of select="sokop:BrojTuzbe"/>
					</li>
					
					<br/>
					<li>
						<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:Mjesto"/>,&#xa0;
						<xsl:value-of select="sokop:DatumTuzbe"/>
					</li>
				</ul>
			</div>
			<div id = "title" align="left">
                  
				
				<div align="right">
					<xsl:value-of select="sokop:Sud/sokop:Naziv"/>
				</div>
				
				<h3>TUŽBA</h3>
				<ul>
					<li>
						<strong>TUŽILAC:</strong>&#xa0;
					</li>
					<xsl:value-of select="sokop:Tuzilac/sokop:Naziv"/>,&#xa0;
					<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:Ulica"/>&#xa0;
					<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
					<xsl:value-of select="sokop:Tuzilac/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					<br/>
					<li>
						<strong>TUŽENI:</strong>&#xa0;
					</li>
					<xsl:if test="sokop:Tuzeni/sokop:SifraTipaLica = 'F'">
						<xsl:value-of select="sokop:Tuzeni/sokop:Ime"/>&#xa0;
						<xsl:choose>
							<xsl:when test="sokop:Tuzeni/sokop:ImeRoditelja">
								<xsl:if test="not(sokop:Tuzeni/sokop:ImeRoditelja='')">
									(
									<xsl:value-of select="sokop:Tuzeni/sokop:ImeRoditelja"/>
									)&#xa0;
								</xsl:if>
							</xsl:when>
						</xsl:choose>
						<xsl:value-of select="sokop:Tuzeni/sokop:Prezime"/>,&#xa0;
						<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Ulica"/>&#xa0;BR.
						<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					</xsl:if>
					<xsl:if test="sokop:Tuzeni/sokop:SifraTipaLica = 'P'">
						<xsl:value-of select="sokop:Tuzeni/sokop:Naziv"/>,&#xa0;
						<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Ulica"/>&#xa0;
						<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:BrojUlice"/>,&#xa0;
						<xsl:value-of select="sokop:Tuzeni/sokop:Adresa/sokop:Mjesto"/>&#xa0;
					</xsl:if>
					<br/>
					<li>
						<strong>RADI:</strong>&#xa0;
					</li>Naplate novčanog potraživanja
					<br/>
					<li>
						<strong> VRIJEDNOST SPORA&#xa0;</strong>
					</li>
					<strong>
						<xsl:value-of select='$vrijednostSpora'/>&#xa0;KM
					</strong>
                    
				</ul>
			</div>
			<div id="content">
				
				<p>Nadležnost
					<xsl:value-of select="sokop:Sud/sokop:Naziv"/>
                    se zasniva na odredbama člana 27 i 28 Zakona o parničnom postupku.
				</p>
				<p>Tuženi tužiocu
					<xsl:value-of select="sokop:ZakonskiOsnov"/>
                    duguje iznos od
					<xsl:value-of select='$vrijednostSpora'/> KM.
				</p>
				<xsl:if test="sokop:Dokaz != ''">
					<p>
						Dokaz:&#xa0;
						<xsl:value-of select="sokop:Dokaz"/>
					</p>
				</xsl:if>
				<p> Prema stanju uplata tuženi nije izmirio svoje  obaveze  koje na dan
					<xsl:value-of select="sokop:DatumTuzbe"/>
                   iznose
					<xsl:value-of select='$vrijednostSpora'/> KM,
                    prema izvodu iz poslovne knjige  koji je sastavni dio ove tužbe, a što je  bio dužan da učini.
				</p>
                
				<p>Kako iz naprijed navedenog proizlazi osnovanost tužbenog zahtjeva, tužilac predlaže Sudu da donese presudu
                zbog propuštanja ukoliko budu ispunjeni propisani uslovi za donošenje iste u skladu sa članom 182.
				Zakona o parničnom postupku  ili
                da sud nakon provedenog parničnog postupka donese:
				</p>
				<br/>
				<h3>PRESUDU</h3>
				<br/>
				<p>Usvaja se tužbeni zahtjev tužioca, te se tuženi obavezuje da tužiocu isplati dug u iznosu od
					<xsl:value-of select='$vrijednostSpora'/> KM
					<br/>
					<xsl:choose>
						<xsl:when test="sokop:Kamata/sokop:TipKamate = 'OdDatumaPodnosenjaTuzbe'">
                            sa zakonskom zateznom kamatom od dana podnošena tužbe do dana isplate
						</xsl:when>
						<xsl:when test="sokop:Kamata/sokop:TipKamate = 'OdDatumaDospijecaRacuna'">
                            i to kako slijedi:
							<br/>
							<xsl:for-each select="sokop:Kamata/sokop:DospijecaPoOsnovuKamata/*">
                        	&#xa0;•&#xa0;&#xa0;&#xa0;na iznos od 
								<xsl:value-of select="sokop:Iznos"/>
                                počev od 
								<xsl:value-of select="sokop:Datum"/>
                                do dana isplate 
								<br/>
							</xsl:for-each>
						</xsl:when>
						<xsl:when test="sokop:Kamata/sokop:TipKamate = 'BezKamate'">
                          
						</xsl:when>
					</xsl:choose>
                    uz naknadu troškova parničnog postupka i to
                    u visini takse na tužbu i presudu, sve u roku od 15 dana pod
                    prijetnjom izvršenja.
				</p>
				<div align="left">
                        TROŠKOVNIK
					<br/>
					<br/>
					<table>
						<tr>
						<tr>
							<td>
						•&#xa0;&#xa0;&#xa0;Taksa na tužbu
							</td>
						</tr>
						<tr>
							<td>
						•&#xa0;&#xa0;&#xa0;Taksa na presudu
							</td>
						</tr>
						</tr>
						<tr>
						<xsl:for-each select="sokop:TroskoviTuzioca/sokop:Trosak">
							<tr>
								<td sytle="border-right-style:none;border-left-style: none; border-bottom-style: none;border-top-style: none;">
                                •&#xa0;&#xa0;
									<xsl:value-of select="sokop:Opis"/>
								</td>
								<td style="padding-left:20px">
									<xsl:value-of select="sokop:Iznos"/> KM
								</td>
							</tr>
						</xsl:for-each>
						</tr>
					</table>
				</div>
			</div>
			<div id = "footer">
				<p class="signature">
					<strong>ZA TUŽIOCA:</strong>
					<br/>
					<xsl:value-of select="sokop:Tuzilac/sokop:Zastupnik/sokop:Ime"/>&#xa0;
					<xsl:value-of select="sokop:Tuzilac/sokop:Zastupnik/sokop:Prezime"/>,
					<xsl:value-of select="sokop:Tuzilac/sokop:Zastupnik/sokop:Funkcija"/>
				</p>
			</div>
		</div>
            
	</xsl:template>
</xsl:stylesheet>
